# Release version 8.1.20171.551 - 03/27/2017

## C1.Xaml.Maps

### Breaking changes

- The SOAP Services will be retired on June 30, 2017. We updated to use REST service in C1Maps component. (TFS-239591)
  Please refer to the following links:
  https://blogs.bing.com/maps/June-2016/Bing-Maps-V8-Web-Control-Released
  https://www.microsoft.com/maps/discon-control-migrat-guide.aspx

# Release version 8.1.20161.506 - 04/01/2016

## C1.Xaml.RichTextBox

### Improvements:

- AutoFormatHyperlinks is used to indicate whether url strings would be converted
  to hyperlink when the user presses the ENTER or SPACE key.(TFS-146369)

# Release version 8.1.20161.504 - 03/14/2016

## C1.Xaml.Chart

### Bug fixes

- [Windows Phone] Fixed the issue that Theme property has not effect.(TFS-67758)

## C1.Xaml.Maps

### Bug fixes:

- [Windows Phone] Fixed the issue that C1Maps does not move to any direction
  by pressing arrow keys.(TFS-67665)

## C1.Xaml.RichTextBox

### Bug fixes:

- Fixed the issue that text alignment of cell content is not retained as in
  original while the nested table is copied and pasted.(TFS-144929)

# Release version 8.1.20161.502 - 02/23/2016

## C1.Xaml.Excel

### Bug fixes

- Excel file does not exported correctly while exporting the styles and merging the
  cells of C1Excel. (TFS:144689)

## C1.Xaml.Gauge

### Bug Fixes:

- Request to set default value for "FontFamily" in C1Gauge.Decorators.C1GaugeLabel property. (TFS-32018)

## C1.Xaml.PdfViewer

### Bug Fixes

- [Windows] Fixed the issue that inputed text doesn't get rendered
  instantly in pdf forms which is loaded in C1PdfViewer. (TFS-143701)

## C1.Xaml.TileView

### Bug fixes

- [Windows] Remove "ButtonBackground" and "ButtonForeground" properties
  since there is no button in C1TileView. (TFS-33882)

# Release version 8.1.20161.501 - 02/03/2016

## C1.Xaml.Excel

### Bug fixes

- "Invalid Excel OpenXml file (*.xlsx)" exception is thrown while Importing
  an Excel(.xlsx) file generated using Altova Mapforce or Telerik
  SpreadSheetProcessing for Wpf with C1Excel. (TFS:142312)

## C1.Xaml.Pdf

### Bug Fixes

- Other system font do not get applied to C1PDF. (TFS:143375)

## C1.Xaml.PdfViewer

### Bug Fixes

- Fixed the issue that BlackoutWords property is not working correctly
  in C1PdfViewer when RenderMode is set to "Extended". (TFS-142874)
- Fixed the issue that exception is thrown when scroll C1PdfViewer after
  searching and deleting the searched word. (TFS-143116)

# Release version 8.1.20161.499 - 01/18/2016

## C1.Xaml

### Bug fixes

- [Windows][C1TabControl] Fixed the issue that UI Automation does not work. (TFS-68598)
- [Windows][C1TreeView] Fixed the issue that LineStroke and MouseOverBrush properties
  are not affected.(TFS-33794)
- [Windows Phone][C1TreeView] Fixed the issue that LineStroke property
  is not affected.(TFS-33794)

## C1.Xaml.Excel

### Bug fixes

- At times, position of a string is changed to BottomAligned in the output. (TFS:139667)

## C1.Xaml.Gauge

### Bug Fixes:

- [Windows] Fixed the issue that PointerCapSize are observed in property grid
  although no pointer cap in C1SpeedometerGauge.(TFS-40871)
- Fixed the issue that PointerStroke and PointerStrokeThickness are not effected in C1Knob.(TFS-41841)

## C1.Xaml.Pdf

### Bug Fixes

- Color for pie chart is not exported correctly to pdf file. (TFS:137852)
- "NullReferenceException" has occurred when saving the pdf file that has attachment. (TFS:132231)

### Improvements

- Common code with C1Pdf for WinForms and many changed for it.
- Added support embedded fonts (TrueType fonts, FontType property).
- Added support of PDF/A format (ConformanceLevel property).
- Changes for support bookmarks and links for FlexReport. Added new AddBookmark method.

## C1.Xaml.PdfViewer

### Bug Fixes

- Fixed the issue that error image got displayed instead of smiles while
  loading a pdf file in C1PdfViewer(TFS-137440)
- [Windows]Fixed the issue that System.FormatException is thrown
  while loading a pdf document in C1PdfViewer.(TFS-141025)

### Improvements:

- Add support for searching text asynchronously. (TFS-129764)
  1. Type any text in TextBox in toolbar.
  2. A "Searching..." popup would be shown.
  3. Search it in the content of the page one by one from the current page to the
  end page. Searching is stopped once the text is found. If the text is not found
  by the end page, search it from the first page to the current page.
  4. Close the popup and Hightlight the found text.
  5. Search the text in the left pages.
  6. After search in the whole pdf file, update the
  FindNumber/FindCount/FindPrevious/FindNext Command.

## C1.Xaml.RichTextBox

### Bug fixes:

- Fixed could not add space before table.(TFS-33428)

# Release version 8.1.20153.497 - 12/24/2015

## C1.Xaml.PdfViewer

### Improvements:

- [Windows]Added Hungarian and Slovenian resources.

# Release version 8.1.20153.496 - 12/23/2015

## C1.Xaml

### Bug fixes

- [Windows][C1RadialMenu] C1RadialMenu freezes whole screen on Windows 10 (TFS-137618).

# Release version 8.1.20153.493 - 11/30/2015

## C1.Xaml.TileView

### Bug fixes

- [Windows] Fixed the issue that NullReferenceException is thrown
  if HeaderAlignment property of C1TileViewItem are set at run time.(TFS-42944)

# Release version 8.1.20153.492 - 11/23/2015

## C1.Xaml

### Improvements

- [Windows][C1RadialMenu] Add CollapseOnClick property for
  C1RadialMenuItem to indicate if the menu will auto collapse when the user clicks on
  item which has no child items.

## C1.Xaml.BarCode

### Improvements

- Add SaveAsync(Stream stream, ImageFormat imgFormat) to save C1BarCode
  as Image.(TFS-119864)

## C1.Xaml.Excel

### Bug fixes

- Image and CheckBox is not retained when the Excel file containing
  check box and image is saved. (TFS:136880)
- C1Excel incorrect loaded/saved hyperlink ("Cannot open the specified file.")
  (TFS:136722)

### Improvements

- Added new C1XLBook.ListSeparator property for using in methods C1XLBook.Load
  (for .cvs files), XLSheet.LoadCsv and XLSheet.SaveCsv.

## C1.Xaml.Maps

### Bug fixes:

- Fixed the issue that C1VectorPolyline rendered behind the
  coordinate point in C1Maps.(TFS-137617)

## C1.Xaml.RichTextBox

### Bug fixes:

- Fixed the issue that content will go to next line when press
  space key in C1RichTextBox.(TFS-136732)

## C1.Xaml.Schedule

### Improvements:

- Scheduler control templates reviewed for better performance.
  Default control templates don't use C1Scheduler.VisualIntervalTemplate property.
- C1SchedulerNavigator control has been moved out of the looping area.
  Scheduler navigation buttons moved from the C1Scheduler template to the
  C1SchedulerNavigator control.
  That allows to use empty space near the C1SchedulerNavigator control to
  show custom navigation UI (see our updated samples).
- TimeRuler reviewed for performance. It is moved out of looping area
  in the default C1Scheduler control template and doesn't need setting
  ItemsSource from xaml any more.

# Release version 8.1.20153.489 - 10/31/2015

## C1.Xaml.Excel

### Bug fixes

- Cell range is NOT selected when cell range with Frozen row/col is
  selected in C1Excel book. Regression issue. (TFS:30427)

# Release version 8.1.20153.487 - 10/27/2015

## C1.Xaml

### Breaking changes

- [C1ListViewer] BringIndexIntoView method second parameter "subOffset" default value
  is set to null, and second parameter "subOffset" is nullable now. The same in its'
  derived controls C1ListBox/C1TileListBox.

## C1.Xaml.Excel

### Bug fixes

- NullReferenceException is thrown when loading an excle file
  which contains macro with .xlsx/.xls format. (TFS:135360)

## C1.Xaml.PdfViewer

### Bug Fixes:

- Fixed the issue that watermark image of pdf document is replaced with red cross
  mark while loading in C1PdfViewer.(TFS-129639)
- Fixed the issue that more than one page is moved while clicking the Next Page button
  of C1PdfViewerToolbar.(TFS-132707)
- Fixed the issue that System.NullReferenceException is thrown while loading a pdf
  document in C1PdfViewer.(TFS-135478)
- [Windows] Fixed the issue that win32Exception occurs when click on PdfViewer
  after setting 'RenderMode' to 'System'.(TFS-135521)

# Release version 8.1.20153.486 - 10/21/2015

## C1.Xaml.Excel

### Bug fixes

- Unable to read all data from Excel file. (TFS:134318)
- Format is changed after load and save by C1Excel. (TFS:134884)
- Specified hyperlink issues for complex sheet names. (TFS:134586)
- Specified background pattern for the ConditionalFormatted cells
  is not saved. (TFS:127975)
- Header and footer image is not displayed when setting header
  and footer image by using C1Excel. Regression of TFS:121907. (TFS:127155)
- Postion of Custom Header (Image) is changed when saving an
  excel file using C1Excel. Really image moved from page header to sheet. (TFS:121907)
- When loaded .xlsx that fixed Column/Row is set and active cell
  is set into fixed Column/Row, saved .xlsx is incorrect. (TFS:120427)
- In loaded xlsx file, Index of print title cannot get by
  GetRangeToRepeat method. (TFS:119851)
- Line Color of Header and Footer image is not retained in
  output excel file when saving as OpenXML format. (TFS:116520)
- Header and Footer images disappear in output excel
  file [regression for 43]. (TFS:116260)
- When set neutral culture to CurrentUICulture property, error
  occurs on code for genarate C1XLBook object. (TFS:115908)

### Improvements

- Added support of OpenXMLMacro format (Open XML format with support
  VBA projects, *.xlsm extension).

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the issue that C1RichTextBox crashes while running
  in x64 platform.(TFS-134483)

## C1.Xaml.Schedule

### Bug Fixes:

- Fixed issues with Calendar drop-down (Tfs 131695).

# Release version 8.1.20153.485 - 10/12/2015

## C1.Xaml.Schedule

### Bug Fixes:

- Fixed issues with ComboBoxes used in EditAppointmentDialog under Windows 10 (Tfs 134017).

# Release version 8.1.20153.483 - 09/28/2015

## C1.Xaml.FlexGrid

### Improvements

- Support multi-level groups.
- [Windows] Support drop down to show collection column.

## C1.Xaml.Schedule

### Bug Fixes:

- Today button of the Date Dropdown of C1Schedule is not working
  in Month View (Tfs 131623).

### Improvements:

- [Windows] Added C1Scheduler.SmallVisualIntervalScale property.
  If this property value is set, defines TimeSpan of each VisualInterval
  in the VisualIntervals collection for views with intervals shorter
  than 1 day (Day, WorkWeek, Week and TimeLine). This is a dependency property.
  The default value is TimeSpan.Zero which means that only
  C1Scheduler.VisualIntervalScale property has effect.

# Release version 8.1.20152.480 - 09/14/2015

## C1.Xaml.FlexGrid

### Bug Fixes

- Fix the issue that Windows.UI.Xaml.Data.VisualStateGroup exception is thrown
  while setting the HeaderTemplate of a Column in C1FlexGrid.(TFS-129548)
- Fix the issue that all rows are not printed while setting the MaxRowHeight
  property of C1FlexGrid.(TFS-130376)

## C1.Xaml.PdfViewer

### Bug Fixes:

- Fixed NulLreferenceException.(TFS-129568)

# Release version 8.1.20152.479 - 08/27/2015

## C1.Xaml.PdfViewer

### Bug Fixes:

- Fixed the issue that in custom regional settings , value in Zoom combobox is not
  changing when zooming with Ctrl+Mouse Wheel.(TFS-128825)

# Release version 8.1.20152.478 - 08/26/2015

## C1.Xaml.PdfViewer

### Bug Fixes:

- Fixed the issue that nullReferenceException occurs when navigating pages on PdfViewer
  with Pdf file with Annotations.(TFS-128223)

# Release version 8.1.20152.477 - 08/18/2015

## C1.Xaml

### Bug fixes

- [C1TileListBox] Fixed the issue that C1TileListBox re-renders when the window
  is resized.(TFS-125812)
- [C1DropDownButton] Fixed the issue that "HeaderFontSize", "HeaderFontStyle"
  and "HeaderFontWeight" properties do not work in C1DropDownButton.(TFS-41775)
- [Windows][C1MaskedTextBox] Fixed the issue that Text can be added by
  handwritting exceeding than the applied Mask in C1MaskTextBox.(TFS-120743)

## C1.Xaml.Maps

### Bug fixes:

- [Windows Phone] Fixed the issue that application closes immediately
  on startup.(TFS-125281)

## C1.Xaml.PdfViewer

### Bug Fixes:

- Fixed the issue that pencil marks are not shown in C1PdfViewer.(TFS-122450)

# Release version 8.1.20152.476 - 08/03/2015

## C1.Xaml.PdfViewer

### Bug Fixes:

- Fixed the issue that memory leak with C1PdfViewer in pdfviewer sample.(TFS-70722)
- Fixed the issue that memory Leak observed in C1PDFViewer.(TFS-98440)
- Fixed the issue that OutOfMemoryException is raised on a Phone Device.(TFS-98716)
- Fixed the issue that memory Leak observed with C1PdfViewer while loading multiple
  documents.(TFS-118262)

# Release version 8.1.20152.473 - 07/07/2015

## C1.Xaml

### Bug fixes

- [C1CollectionView] Fixed the issue that Group header is incorrect when
  C1CollectionView contains collection of objects.(TFS-116512)
- [Windows][C1RadiaMenu] Fixed the issue displays text rotated with
  certain culture settings.(TFS-123008)

## C1.Xaml.BarCode

### Bug fixes

- Fixed the issue that Code49 barcode is distorted while BarCode text is greater
  than 271 characters.(TFS-123302)
- Fixed the issue that "Error in the application" is shown when applying of
  StructuredNumber in DataMatrix BarCode.(TFS-123374)

### Improvements

- [Windows Phone] First release.

## C1.Xaml.Extended

### Improvements

- [Windows][C1ColorPicker] First release.

## C1.Xaml.FlexGrid

### Bug Fixes

- Fix the issue that incorrect Cell Navigation when setting FlowDirection to
  "RightToLeft".(TFS-109547)

# Release version 8.1.20152.472 - 06/29/2015

## C1.Xaml

### Bug fixes

- [C1TileListBox] Fixed the issue that BringIndexIntoView method does not works
  correctly.(TFS-111201)

## C1.Xaml.DateTime

### Bug Fixes

- select current day and close DatePicker on Today button click (Tfs 122332).

# Release version 8.1.20152.471 - 06/22/2015

## C1.Xaml

### Bug fixes

- [Windows][C1ContextMenu] Fixed the issue that offset property always
  returns 0.(TFS-118179)

## C1.Xaml.BarCode

### Breaking changes

- Change Code128Options property to Ean128Fnc1Options and Change Code128Options
  class to Ean128Fnc1Options.
- Change the type of ModuleSize from ModuleSize to int, and this property represents
  the Width of the narrow bar in screen pixels.

### Bug fixes

- Fixed the issue that BarCode can not be read by BarCode Reader without
  changing Background color of the Page. (TFS-119641)

## C1.Xaml.Calendar

### Bug fixes

- [Windows] Fixed keyboard navigation issue after navigating to other months (Tfs 120341).

## C1.Xaml.PdfViewer

### Improvements:

- Add PageTemplate property.

# Release version 8.1.20152.463 - 05/23/2015

## C1.Xaml.Schedule

### Improvements:

- Added C1Calendar.SelectionMode property(TFS-117732).
  The default value is SelectionMode.Extended, it keeps the same behavior as in previous released versions.
  SelectionMode.Multiple allows the user to select multiple items without pressing a modifier key.
  Note, even if this property value allows to select multiple items, the actual number of selected days
  might be limited by the value of the MaxSelectionCount property.

## C1.Xaml.Zip

### Improvements:

- Add AddFolderAsync method in C1ZipEntryCollection to support adding all files
  and sub folders to the zip file. It has a limitation that can't add empty folder
  into zip file for now.

# Release version 8.1.20151.469 - 06/15/2015

## C1.Xaml

### Bug fixes

- [Windows Phone][C1NumericBox] Fixed the issue that Precent values are not
  increased or decreased when clicking increment/decrement button.(TFS-119325)

## C1.Xaml.BarCode

### Breaking changes

- [Windows] Change property LineStrokThickness to LineStrokeThickness in Code25intlvOptions.

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the issue that incorrect behavior observed with
  C1RichTextBox while using handwriting recognition keyboard.(TFS-117888)

# Release version 8.1.20151.468 - 06/12/2015

## C1.Xaml.FlexGrid

### Bug Fixes

- Fix the issue that argumentOutOfRangeException occurs when copying the chart in
  C1FlexSheet.(TFS-119055)

# Release version 8.1.20151.466 - 05/25/2015

## C1.Xaml

### Bug fixes

- [C1NumericBox] Fixed the issue that leading zero is removed while
  editing. (TFS-98620)

## C1.Xaml.BarCode

### Improvements

- Add localization for BarCode exceptions.

## C1.Xaml.FlexGrid

### Improvements

- added RowCol.VisibleIndex property. This property is read-only.
  If element's IsVisible property is True, VisibleIndex property returns index of
  element in the collection of visible items.

# Release version 8.1.20151.462 - 05/11/2015

## C1.Xaml.BarCode

### Breaking changes

- Change the members of QRCodeErrorLevel from L, M, Q, H to Low, Medium, Quality, High.
  And update the values of these members from 1, 0, 3, 2 to 0, 1, 2, 3.

## C1.Xaml.Schedule

### Improvements:

- honor Escape key at in-place appointment editing (Tfs 116276).

# Release version 8.1.20151.460 - 04/27/2015

## C1.Xaml

### Bug fixes

- [Windows][C1Menu] Fixed the issue that setting 'IsEnabled' to false
  on button click does not visually disable C1MenuItem.(TFS-100109)

## C1.Xaml.Excel

### Improvements

- Merge changes of WinForms 44 build.

## C1.Xaml.Schedule

### Improvements:

- improved keyboard navigation in the C1Scheduler control:
- F2 key turns on in-place appointment editing for selected appointment;
- Enter key creates new in-place appointment or opens appointment dialog for existent selected appointment;
- Tab (Shift-Tab) key navigates selection and keyboard focus to the next (previous) appointment in the current view.

# Release version 8.1.20151.459 - 04/13/2015

## C1.Xaml

### Bug fixes

- [C1NumericBox] Fixed the issue that FormatException occurs on setting
  Decimal("D") Format in C1NumericBox.(TFS-113928)

## C1.Xaml.FlexGrid

### Bug Fixes

- Fix the issue that last Column of C1FlexGrid is not visible completely while
  setting "VerticalScrollBarVisibility = Visible".(TFS-114739)

## C1.Xaml.PdfViewer

### Bug Fixes:

- Fixed the issue that incorrect behavior observed with "FindText" in case of a
  specific PDF Document.(TFS-109133)

## C1.Xaml.Zip

### Bug Fixes:

- Fixed the issue that extract() method of C1ZipEntry does not work properly.
  (TFS-112157)

# Release version 8.1.20151.458 - 03/30/2015

## C1.Xaml

### Improvements

- [C1RadialMenu] Honor C1RadialMenuItem.ItemTemplate property
  (http://our.componentone.com/groups/topic/radial-menu/#post-656932).

## C1.Xaml.Excel

### Bug fixes

- Request to provide the property similar to ‘Scale with document’ available
  under Header/Footer tab in PageSetup dialog in MSExcel. (TFS:39819)

## C1.Xaml.FlexGrid

### Bug Fixes

- Fix the issue that can't re-size the column of C1FlexGrid at run time.(TFS-112908)
- Fix the issue that hidden cells are copied when a range containing them is copied
  using Ctrl + C.(TFS-41714)

## C1.Xaml.PdfViewer

### Bug Fixes:

- Fixed the issue that pageNumberChanged event not fired when ToolbarVisibility
  property is set to Collapsed.(TFS-111374)

### Improvements:

- Add MaxZoom and MinZoom properties.

# Release version 8.1.20151.454 - 03/09/2015

## C1.Xaml.FlexGrid

### Improvements

- Touch improved. Rows can be dragged in bounded mode when the itemsource is
  not be grouped and FlexGrid is not allow sort.
- Touch improved. Effect of dragging row is added.
- Drag improved. Add DragDropIndicatorBrush property to get or set the brush
  of drop indicator when drag columns or rows.

# Release version 8.1.20151.453 - 03/02/2015

## C1.Xaml

### Improvements

- [C1RadialMenu] Added C1RadialMenu.GoBack method. It navigates menu
  one level up as if end-user clicked Back button (Tfs 101896).

## C1.Xaml.PdfViewer

### Bug Fixes:

- Fixed the issue that words are not getting selected when double clicking on them.
  (TFS-110018)
- Fixed the issue that page is automatically scrolled down when dragging the mouse
  on Japanese text.(TFS-110063)

## C1.Xaml.SsrsViewer

### Bug Fixes:

- An exception occured when opening SSRS Report in C1SsrsViewer with Visibility=Collapsed. (TFS:110848)
- Moving back to parent report in RPL mode did not show expanded view of the report. (TFS:110761)

# Release version 8.1.20151.452 - 02/17/2015

## C1.Xaml.Chart

### Bug fixes

- Honor AxisScrollbar visibility at layout. (TFS-105717)

## C1.Xaml.ImportServices

### Breaking changes

- C1.Xaml.Ssrs.dll was renamed to C1.Xaml.ImportServices.dll.

## C1.Xaml.PdfViewer

### Bug Fixes:

- Fixed the issue that japanese text are not shown in loaded Pdf file.(TFS-109861)

# Release version 8.1.20151.451 - 02/15/2015

## C1.Xaml.Document

### Breaking Changes:

- Class C1FindPosition was renamed to C1FoundPosition.
- Removed C1DocumentSource.FindScope property.
- Changed parameters for FindTextStart(...) method.
  Added bool wholeDocument parameter:
  Indicates whether whole document should be loaded during searching or to the first fragment found.
- Changed parameters for FindTextNext(...), FindTextPrevious(...) methods
  Now C1FoundPosition object should be passed as parameter
  defines the position from which the search should be started.

### Improvements:

- Added IList<C1FoundPosition> C1DocumentSource.FoundPositions { get; } property
  Gets the list of C1FoundPosition objects representing result of the current search.
- C1FoundPositoon ActiveFoundPosition { get; set; }
  Gets or sets the active found position which is highlighted.

## C1.Xaml.FlexGrid

### Bug Fixes

- Cell values disappears on clicking a cell, if C1Office2013 theme is applied on C1FlexGrid(TFS-105737)
- Fix the issue that errors are observed on setting FontWeight
  and HeaderFontWeight properties in XAML (TFS-101653)

## C1.Xaml.PdfViewer

### Bug Fixes:

- Fixed the issue that footer text are missing and incorrect logo images are shown
  in C1PDFViewer.(TFS-108798)
- Fixed the issue that some text and circle bullets are shown with square characters
  .(TFS-109128)
- Fixed the issue that hebrew characters are not shown correctly in PdfViewer
  .(TFS-109134)

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the issue that exception occurs when C1RichTextBox is used
  in a Prism MVVM application.(TFS-107945)
- [Windows] Fixed the issue that "Argument not in the same document" error
  is observed on binding to an HTML string.(TFS-108876)
- [Windows] Fixed the issue that margins could not be modified for an
  opened RTF File.(TFS-94841)

## C1.Xaml.SsrsViewer

### Improvements

- Zoom factor does not reset to 100% each time when some text is found and
  highlighted or a bookmark was navigated to.

# Release version 8.1.20151.449 - 02/09/2015

## C1.Xaml.BarCode

### Improvements

- [Windows] First release.

## C1.Xaml.Schedule

### Improvements:

- improved iCal import for reading historical time zones (Tfs 108759).

# Release version 8.1.20143.447 - 02/05/2015

## C1.Xaml

### Bug fixes

- [C1NumericBox] Fixed the issue that decimal point cannot enter if Format
  does not contain digital.(TFS-101646)

# Release version 8.1.20143.446 - 02/02/2015

## C1.Xaml.Excel

### Bug fixes

- Unlike previous build, 'IOException' occurs when saving the Excel file. [WPF, SL] (TFS:106766)
- ArgumentException was unhandled occurred when LoadExcel() is used to opened XLSX file. (TFS:106325)
- Unlike previous build, IOException occurs when saving the excel file with image. (TFS:106879)

## C1.Xaml.PdfViewer

### Improvements:

- Support open type font.
- [Windows Phone] Add RenderMode property. It has two value(Default,
  Extended). Extended mode is a special mode to render all text in pdf with microsoft
  textblock. It is used in 2 cases: 1. must set RenderMode to Extended before using
  BlackoutWords property. 2. try to use Extended mode when texts are not rendered
  properly.
- [Windows] Add one more RenderMode value(Extended).Extended mode is a
  special mode to render all text in pdf with microsoft textblock. It is used in
  2 cases: 1. must set RenderMode to Extended before using BlackoutWords property.
  2. try to use Extended mode when texts are not rendered properly.

# Release version 8.1.20143.445 - 01/26/2015

## C1.Xaml

### Improvements

- [Windows][C1RangeSlider] First release.
- [Windows][C1GridSplitter] First release.

## C1.Xaml.Calendar

### Breaking changes:

- removed template parts (Back and Forwad storyboards, ContentCopy rectangle)
  [TemplatePart(Name = C1Calendar.BackStoryboardName, Type = typeof(Storyboard))]
  [TemplatePart(Name = C1Calendar.ForwardStoryboardName, Type = typeof(Storyboard))]
  [TemplatePart(Name = C1Calendar.ContentCopyName, Type = typeof(Rectangle))]

### Improvements

- improved drag animations, added animation support when calendar is hosted in popups (Tfs 98512, 96876).
- [Windows] added Today button. That includes TodayButtonStyle and ShowTodayButton properties and corresponding template part.
- [Windows] added Calendar Year and Decade display modes for historical dates selection.
  That includes automatic display mode switching when tapped on month header, DisplayMode property and DisplayModeChanged event.
  Also, the new C1CalendarViewPresenter control added to the default control template.

## C1.Xaml.DateTime

### Improvements:

- added sliding animation for drop-down calendar.
- added Calendar Year and Decade display modes for historical dates selection.
  Tap on month header in drop-down calendar for switching to other mode.
- added Today button in drop-down calendar.

## C1.Xaml.Excel

### Bug fixes

- Fix exception 'out of memory exception' at write C1XLBook directly to the disk. (TFS:36268)
- Unlike previous build, 'System.NotSupportedException' is thrown when loading
  an excle file which contains macro (.xlsx format). (TFS:105927)

### Improvements

- Merge changes of WinForms 22 build.

## C1.Xaml.FlexGrid

### Improvements

- Touch improved. Adorners will show when user touch on the grid and
  SelectionMode is CellRange or RowRange.
- Touch improved. Resize handler will show when user touch the cells.
- Touch improved. Column can be drag and drop by touch. Row can be drag and
  drop when FlexGrid is unbounded mode by touch.

## C1.Xaml.OrgChart

### Improvements

- [Windows Phone] First release.

## C1.Xaml.Schedule

### Breaking changes:

- C1LoopPanel panel has been moved to C1.Xaml.Calendar assembly (C1.Xaml.Calendar namespace).

### Improvements:

- added Year and Decade display modes in the C1Calendar controls. It is
  used in the month header drop-down calendar and in date pickers for selecting historical dates.
- added sliding animations for drop-down calendars in the month header and date pickers.

## C1.Xaml.Sparkline

### Improvements

- [Windows Phone] First release.

# Release version 8.1.20143.444 - 01/19/2015

## C1.Xaml.PdfViewer

### Bug Fixes:

- Fixed the issue that input values are not displayed in pdf controls.(TFS-101915)
- Fixed the issue that IndexOutRangeException occurs when Pdf with Graphic objects
  are loaded into C1PdfViewer.(TFS-101976)

## C1.Xaml.RichTextBox

### Bug fixes:

- Fixed the issue that font size/style are not consistently maintained when HTML
  file is loaded and modified.(TFS-100541)

# Release version 8.1.20143.443 - 01/05/2015

## C1.Xaml.Chart

### Bug fixes

- Fixed the issue that AnnoCreated event does not been fired. (TFS-97330)

## C1.Xaml.Excel

### Bug fixes

- Exception (can't access cross-thread) thrown when loading Excel in a child thread. [SL] (TFS:98145)
- Deleteing Column that includes final cell in a merge does not reduce merge. Fixed part 2. (TFS:90131)
- C1XLBook.Save performance is decreased in build 14 compare to build 11. (TFS:98333)
- Cell's Border Color is changed when saving excel file. (TFS:84854)
- ArgumentException is thrown when an Excel file is loaded in C1XLBook [Fixed only exception]. (TFS:97861)
- Exception (can't access cross-thread) thrown when loading Excel in a child thread. [SL] (TFS:98145)
- #VALUE! is shown in the cell which has ROUNDDOWN formula as Biff8 format. (TFS:85358)

### Improvements

- Merge changes of WinForms 20 build.

## C1.Xaml.SpellChecker

### Breaking changes:

- [Windows] Removed AutoReplaceList property, OnAutoReplace method,
  AutoReplace event, AutoReplaceEventArgs and AutoReplaceEventHandler because they
  are not used.

# Release version 8.1.20143.442 - 12/22/2014

## C1.Xaml.PdfViewer

### Bug Fixes:

- Fixed the issue that Chinese Characters are not displayed correctly in the
  Bookmark contents of the loaded PDF File.(TFS-94567)
- Fixed the issue that Hebrew support in C1PDFViewer.(TFS-90240)
- Fixed the issue that Displays PDF file incorrectly black background.(TFS-95627)
- Fixed the issue that Page navigation does not work when clicking on the links in
  c1PdfViewer.(TFS-98681)

# Release version 8.1.20143.438 - 12/11/2014

## C1.Xaml

### Bug fixes

- [C1TreeView] Fixed the issue that pressing navigation
  keys does not work after pressing "Delete" key.(TFS-97867)
- [C1TreeView] Fixed the issue that ContextMenu is shown
  when pressing contextmenu key from keyboard in c1treeview.(TFS-97957)

# Release version 8.1.20143.437 - 12/10/2014

## C1.Xaml.FlexGrid

### Bug Fixes

- Fixed the issue that string values are not shown in the filter drop down list.

# Release version 8.1.20143.436 - 12/08/2014

## C1.Xaml

### Bug fixes

- Allows setting String.Empty in objects whose property type is Nullable<T> where T != string.

## C1.Xaml.Chart

### Bug fixes

- added property name to event arguments for Axis.PropertyChanged event. (TFS-86886)

## C1.Xaml.Maps

### Improvements:

- Added support for ShapeFile format to C1Maps.

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the issue that anchors are always saved with underlined
  even on setting Text Decoration to None.(TFS-95026)

## C1.Xaml.Schedule

### Bug Fixes:

- improved performance when when working with long-lasting appointments (Tfs 95610).

# Release version 8.1.20143.435 - 11/24/2014

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows Phone] Fixed the issue that outOfMemory Exception occurs on low end
  Nokia Lumia Device (530).(TFS-93216)

## C1.Xaml.Schedule

### Improvements:

- added support for RECURRENCE-ID, SEQUENCE and UID in iCal import (TFS:91112).
  Note, cases when RECURRENCE-ID is a recurring event are not supported.

# Release version 8.1.20143.432 - 11/11/2014

## C1.Xaml.FlexGrid

### Bug Fixes

- Row was not invalidated correctly when moving it to the last position by dragging its header.

# Release version 8.1.20143.431 - 11/09/2014

## C1.Xaml.FlexGrid

### Bug Fixes

- Getting values from cells was raising an exception when the data source used indexed properties.

# Release version 8.1.20143.430 - 11/06/2014

## C1.Xaml.FlexGrid

### Bug Fixes

- Setting a non convertible value was raising an exception.
- Evaluating a path with a numeric indexer was not returning the right value.
- Pasting values was not working fine in numeric and boolean columns.
- Resizing rows was not working correctly.
- Auto-sizing columns was not working correctly when there was merged cells.

## C1.Xaml.Schedule

### Bug Fixes:

- fixed issue with occasionally not firing AppointmentChanged event at drag&drop operations (Tfs 93042).

# Release version 8.1.20143.429 - 11/04/2014

## C1.Xaml.Document

### Improvements

- [Windows] First release.

## C1.Xaml.ImportServices

### Improvements

- [Windows] First release.

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the issue that the selection expansion do not respond to
  touch on a Touch Device if the isReadOnly is set to True.(TFS-93052)
- [Windows] Fixed the issue that the selection expansion do not respond to
  touch on a Touch Device if the ViewMode is set to Print.(TFS-92481)

## C1.Xaml.RichTextBox.PdfFilter

### Improvements

- [Windows] First release.

## C1.Xaml.SsrsViewer

### Improvements

- [Windows] First release.

# Release version 8.1.20143.428 - 11/03/2014

## C1.Xaml.FlexGrid

### Bug Fixes

- Editing values in a flyout wasn't working fine when grid was in unbound mode.
- Setting enum values as string was raising an exception.

## C1.Xaml.PdfViewer

### Bug Fixes:

- Fixed the issue that source property is not available.(TFS-92459)

# Release version 8.1.20143.427 - 10/27/2014

## C1.Xaml.FlexGrid

### Bug Fixes

- Setting values was throwing an exception when underlying type was Enum and the value was a string.

### Improvements

- CellContentChanging event added in order to improve the performance
  in scenarios with cells with live data.

## C1.Xaml.PdfViewer

### Bug Fixes:

- Fixed the issue that oversubscribed dynamic bit lengths tree exception occurs on
  opening PDF File.(TFS-89062)

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the issue that images are not displayed when
  imported from saved RTF file. (TFS-90274)
- [Windows] Fixed the issue that saved RTF file could be opened if
  it contains an image inserted in the RichTextBox document via either of
  the methods of inserting an image.(TFS-90677)

# Release version 8.1.20143.424 - 10/15/2014

## C1.Xaml

### Breaking changes

- extension methods for System.Type have been moved from the Extensions class to the TypeEx class.

### Improvements

- Added new C1ProgressIndicator control.
- extension methods for System.Type have been mpved from the Extensions class to the TypeEx class.

## C1.Xaml.FlexGrid

### Bug Fixes

- Aggregate cells are updated when GroupRow is in ColumnHeaders panel.

# Release version 8.1.20142.422 - 10/14/2014

## C1.Xaml.FlexGrid

### Bug Fixes

- Exception raised when setting a cell value if items source is DataTable.

## C1.Xaml.Maps

### Breaking changes

- Change the names of constant properties from MaxLong, MinLong, MaxLat, MinLat,
  MaxZoom, MinZoom to MaxLongValue, MinLongValue, MaxLatValue, MinLatValue,
  MaxZoomValue, MinZoomValue.

# Release version 8.1.20142.421 - 10/10/2014

## C1.Xaml.Chart

### Bug fixes

- Fixed issue that out of range datapoints are visible on the chart When the RenderMode
  is set to 'Bitmap' and Zooming is performed on the Chart object.(TFS-88119)

## C1.Xaml.FlexGrid

### Bug Fixes

- AutoSizeColumn method was raising an exception.

### Improvements

- ChangeView method added to allow setting the zoom programmatically
  as well as vertical and horizontal offsets.

## C1.Xaml.Schedule

### Bug Fixes:

- fixed issue with no ability to set AppointmentStorage.DataSource via binding in xaml (related Tfs issue 87824).

# Release version 8.1.20142.420 - 09/29/2014

## C1.Xaml

### Bug fixes

- [Windows][C1ContextMenu] Fixed the issue that set value to Height and
  Width property of the C1ContextMenu does not effect on displayed size.(TFS-18488)
- [Windows][C1TreeView] Fixed the issue that tree nodes can still be selected
  by Home, End, PageUp and PageDown keys when KeyboardNavigation property is set as
  FALSE. (TFS-86464)
- C1ListBox unhandled exception thrown when setting SelectedItem to null.
- [Windows][C1TreeView] Fixed the issue that the tree node shows lines that
  was dropped with DropAction is Copy when ShowLine is set FALSE.(TFS-86457)

## C1.Xaml.Chart

### Bug fixes

- Fixed issue that ChartPanelObject goes out of the ChartView area after Zooming.(TFS-86899)

## C1.Xaml.FlexGrid

### Bug Fixes

- Performance issue was fixed when resizing columns.
- Avoids pasting data in a read-only grid.
- Updates column's visibility when HideGroupedColumns is set at runtime.
- Pasting from clipboard wasn't working fine in all cases.

## C1.Xaml.PdfViewer

### Bug Fixes:

- Fixed the issue that pdf file is not correctly rendered in C1PdfViewer.(TFS-60880)

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the issue that images lost after RTF Filter is
  applied.(TFS-84903)

## C1.Xaml.Schedule

### Improvements:

- The C1Scheduler.BeforeViewChange event is also fired when view is changed due to C1Scheduler.ViewType property change.
- added support to highlight current time in the Day/Week/TimeLine views. That includes:
- new TimeRuler control used in default C1Scheduler control templates;
- new C1Scheduler.CurrentTimeBrush property.

# Release version 8.1.20142.419 - 09/15/2014

## C1.Xaml

### Bug fixes

- C1ListViewer hide preview item template when full template is displayed in order
  to avoid seeing duplicated elements.

## C1.Xaml.Chart

### Improvements

- Add SymbolStyle support for Pie type on Winrt.(TFS-86610)

## C1.Xaml.Excel

### Bug fixes

- Partly Setting "FitPageAcross" property changes the "AutoScale" property to True.(TFS:64023)
- Fixed missing newline character after bold styling.(TFS:85280)
- [Windows] Fixed exception occurs when saving the excel file with csv format. (TFS:85349)
- Fixed case 1 of styles not getting applied in the saved excel book.(TFS:84477)

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the issue that RichTextBox kills an application during
  paste operation.(TFS-76950)
- Fixed the isue that the type attribute in OL tag doesn't handle lower-roman
  or lower-latin.(TFS-17898)
- Fixed the isue that System.ArgumentException is raised on loading an Html file
  coming from LinkedIn email.(TFS-86576)

# Release version 8.1.20142.418 - 09/07/2014

## C1.Xaml.Maps

### Bug fixes:

- Fixed the issue that text is cut off on C1Maps.(TFS-84838)

### Improvements:

- Add MaxLong, MaxLat, MaxZoom, MinLong, MinLat, MinZoom properties into C1Maps.

# Release version 8.1.20142.417 - 09/01/2014

## C1.Xaml

### Bug fixes

- [Windows][C1NumericBox] Fixed the issue that Shift+Tab does not exit
  C1NumericBox to the previous input control.(TFS-77195)
- [C1NumericBox] Fixed the issue that formatting is incorrect in
  C1NumericBox.(TFS-35023)

## C1.Xaml.Chart

### Bug fixes

- Fixed exception when hiding y-axis in polar chart.(TFS-67642)
- Fixed the issue that no data are shown in Chart
  when RenderMode is set as Direct2D.(TFS-83090)

## C1.Xaml.DateTime

### Bug Fixes

- fixed mouse handling issues (Tfs 83380).

## C1.Xaml.PdfViewer

### Bug Fixes:

- Fixed the issue that exception occurs on opening PDF File.(TFS-80263)

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows Phone] Fixed the issue that input text can not be deleted by
  backspace key on real-keyboard(or) on-screen-keyboard.(TFS-80613)

## C1.Xaml.Tile

### Bug fixes

- NullReferenceException occurs when the DataContext of the C1Tiles, whose CommandBinding is set in code, is changed (Tfs issue 83390).

## C1.Xaml.TileView

### Bug fixes

- [Windows][C1TileView] Fixed the issue that only one character is shown in
  each line if C1RichTextBox is within TileViewItem. (TFS-79423)

# Release version 8.1.20142.416 - 08/18/2014

## C1.Xaml

### Bug fixes

- [Windows Phone][C1TreeView] Fixed the issue that expand buttons are shown
  as black diamond shape if ShowLine=True.(TFS-81343)

## C1.Xaml.Chart

### Bug fixes

- Fixed the issue that the exception will be thrown when setting RenderMode
  property of the dataseries to "Direct2D".(TFS-80409)

## C1.Xaml.RichTextBox

### Improvements:

- [Windows Phone] Fixed the issue that Exception occurs when trying to
  resize tables and images.(TFS-80691)

# Release version 8.1.20142.415 - 08/13/2014

## C1.Xaml

### Improvements

- [Windows Phone] First release.

## C1.Xaml.Calendar

### Improvements

- [Windows Phone] First release.

## C1.Xaml.Chart

### Improvements

- [Windows Phone] First release.

## C1.Xaml.DX

### Improvements

- [Windows Phone] First release.

## C1.Xaml.Excel

### Improvements

- [Windows Phone] First release.

## C1.Xaml.FlexGrid

### Improvements

- [Windows Phone] First release.

## C1.Xaml.Gauge

### Improvements

- [Windows Phone] First release.

## C1.Xaml.Imaging

### Improvements

- [Windows Phone] First release.

## C1.Xaml.Maps

### Improvements:

- [Windows Phone] First release.

## C1.Xaml.Pdf

### Improvements

- [Windows Phone] First release.

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that win32 exception occurs when loaded certain pdf file if
  RenderMode=Default.(TFS-80292)
- Fixed the issue that indexOutOfRangeException occurs on clicking the Page Number.
  (TFS-79810)
- Fixed the issue that search occurrence count is not correctly displayed in
  C1PDFViewer.(TFS-79638)
- Fixed the issue that text selection does not work if Japanese text and numbers
  are put into a table.(TFS-79618)
- Fixed the issue that Text selection does not work correctly in signed pdf document
  when Find action is performed.(TFS-80438)

### Improvements

- [Windows Phone] First release.

## C1.Xaml.RichTextBox

### Improvements:

- [Windows Phone] First release.

## C1.Xaml.Tile

### Improvements

- [Windows Phone] First release.

## C1.Xaml.Zip

### Improvements

- [Windows Phone] First release.

## C1.Xaml.RichTextBox.AppBar

### Improvements

- [Windows Phone] First release.

# Release version 8.1.20142.414 - 08/10/2014

## C1.Xaml.Calendar

### Breaking changes

- [Windows] removed CalendarPresenterGrid and WeekNumbersPresenterGrid template parts.

## C1.Xaml.RichTextBox.Menu

### Bug fixes:

- [Windows] Fixed the issue that error occurs at design time on dropping
  C1RichTextBoxMenu control to the page.(TFS-73045)

# Release version 8.1.20142.413 - 08/07/2014

## C1.Xaml.Schedule

### Bug Fixes:

- [Windows] fixed issues at C1Scheduler reloading when it is hosted in the TabControl (Tfs 79145).

# Release version 8.1.20142.411 - 07/28/2014

## C1.Xaml

### Improvements

- [Windows] [C1MaskedTextBox] Add two new Mask supports for inputting Japanese as the following.
  J: Only allow uses to input Hiragana.
  Z: Only allow uses to input Hiragana/Full-width Katakana/Half-width Katakana and Kanji.

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that argumentOutOfRangeException occurs when dragging
  selected texts after 'Find' action is performed.(TFS-76268)

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the issue that space is added to double byte characters
  when exporting to RTF.(TFS-77079)

# Release version 8.1.20142.410 - 07/21/2014

## C1.Xaml

### Bug fixes

- [Windows] [C1TreeView] Fixed the issue that autoSearch property does not work for Japanese
  characters.(TFS-3826)

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that found word is not selected on clicking Find Next
  if Pdf file contains Japanese and English text.(TFS-74433)

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the issue that delete key does not delete the space
  before table.(TFS-33515)
- [Windows] Fixed the issue that deleting table content using delete key
  would reduce the table to a single cell.(TFS-33426)

# Release version 8.1.20142.409 - 07/08/2014

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that some words cannot be able to select when Find action is performed.(#73800)
- [Windows] Fix issue that unlike previous build, 'Zoom In' button is still enabled although
  Zoom value is set maximized value '800%' at first time.(#73883)

# Release version 8.1.20142.408 - 07/07/2014

## C1.Xaml

### Improvements

- [Windows] added missing translations for different cultures

## C1.Xaml.Maps

### Bug fixes:

- [Windows] Unlike previous build, markers on C1Maps cannot delete
  and drag by using Mouse.(TFS-71854)

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that XamlParseException occurs on loading certain pdf file in c1PdfViewr.(#64607)
- [Windows] Fixed the issue that Unable to print more than 2000 pages from C1PDFViewer.(#33096)
- [Windows] Fixed the issue that Inflating error is raised on loading the certain pdf file.(#33728)
- [Windows] Fixed the issue that when Orientation is set to Horizontal, 'next page' button is not working at toolbar. (72899)
- [Windows] Fixed the issue that ArgumentException is raised when typed text in search box.(#72422)
- [Windows] Fixed the issue that certain pdf file does not render correctly.(#60880)
- [Windows] Fixed the issue that CryptographicException thrown when loading certain pdf file(#66968)

## C1.Xaml.RichTextBox

### Improvements:

- [Windows] Added Romanian resources.

## C1.Xaml.Schedule

### Improvements:

- [Windows] Added Romanian resources, added missing translations for different cultures.

## C1.Xaml.SpellChecker

### Improvements

- [Windows] Added Romanian resources.

# Release version 8.1.20142.406 - 06/30/2014

## C1.Xaml

### Bug fixes

- [Windows] C1ListViewer.BringIntoView() method was not working correctly.
- [Windows] [C1TreeView] Fixed the issue that InnerException will be thrown when add some
  child items to C1TreeView.(TFS-33415)
- [Windows] C1ListViewer.MinZoom and MaxZoom were not honored when setting Zoom property programatically.

## C1.Xaml.Chart

### Bug fixes.

- [Windows] Fixed exception when zooming StepAreaStacked (TFS 49275).

## C1.Xaml.FlexGrid

### Bug Fixes

- [Windows] Right border missing when printing.

### Improvements

- [Windows] Improved the performance of AutoSizeColumns(allCells).

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed issue that SelectedText property does not work in c1PdfViewer.(#71638)
- [Windows] Fixed issue that unable to navigate hyperlinks in PDFViewer.(#67532)

## C1.Xaml.Schedule

### Improvements:

- [Windows] Added Simplified Chinese and Traditional Chinese resources.
- [Windows] Added new property to the C1Scheduler control:
  public ToastNotifier ToastNotifier { get; set; }
  Gets or sets the ToastNotifier object which allows to schedule toast notifications.
  The default value is null.
  If this property is set to valid ToastNotifier object, the C1Scheduler
  control will schedule toast notifications instead of showing embedded reminder dialog.
- [Windows] Added new C1SchedulerSettings.ShowReminderDialog property.
  This property determines whether control should display embedded reminder dialog when reminder is fired.
  The embedded reminder dialog will only be shown if this property is true,
  the C1Scheduler.ToastNotifier property is not set and application doesn't handle the C1Scheduler.ReminderFire event.
  The default value is false.

# Release version 8.1.20142.405 - 06/23/2014

## C1.Xaml.FlexGrid

### Improvements

- [Windows] unused Rows/Columns.Frozen property removed.

# Release version 8.1.20142.403 - 06/23/2014

## C1.Xaml

### Improvements

- [Windows] Added new C1FullscreenDialog control. It represents the simple modal
  dialog showing the content in fullscreen mode.

## C1.Xaml.FlexGrid

### Improvements

- [Windows] ZoomMode property added.

## C1.Xaml.Maps

### Bug fixes:

- [Windows] Remove useless FadeInTiles property.
- [Windows] Remove useless TilesMode proeprty.

### Improvements:

- [Windows] Improve the performance for C1Map VectorLayer.

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed issue that embedded font does not been applied.(#70739,#70874,#71080)

### Improvements:

- [Windows] Adding touch support and improving scrolling smoothness.
- [Windows] Remove the "Two Pages" button from PdfViewerToolbar.
- [Windows] The behavior of rendering multiple pages is the same as Winrt's. (vertical rendering)
- [Windows] As Winrt's C1PdfViewer, adding ViewportGap and Orientation property.

## C1.Xaml.Schedule

### Breaking Changes

- [Windows] Removed obsolete C1Scheduler properties:
  VisualIntervals,
  VisualIntervalGroups,
  VisualIntervalsView.

### Improvements:

- [Windows] The first version of the C1Scheduler control. Limitations of the first version:
  . no grouping support;
  . doesn't use Contacts, Resources and Categories in the embedded EditAppointmentControl.

# Release version 8.1.20141.402 - 06/17/2014

## C1.Xaml

### Bug fixes

- [Windows] C1DragHelper inertia was not working when two helpers were attachedto the same
  ui-element and one of them expected inertia whereas the other do not.

## C1.Xaml.Chart

### Bug fixes.

- [Windows] Fixed problem with label position in pie chart when starting angle is negative (TFS 68670).

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that C1PdfViewer is automatically scrolled down on double clicking a word.(TFS-69317)
- [Windows] Fixed the issue that circle bullets are replaced with rectangles in c1PdfViewer.(TFS-69432)

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the issue that C1RichTextBox does not support for Two Way Binding on
  HTML or Text Property.(TFS-64903)

# Release version 8.1.20141.401 - 06/09/2014

## C1.Xaml

### Bug fixes

- [Windows] C1ListViewer item displaced when zoom was applied and the only item was smaller
  than the viewport.
- [Windows] [C1NumericBox] Fixed the issue that cannot enter negative numbers from
  Japanese keyboard.(TFS-63521)
- [Windows] [C1NumericBox] Fixed the issue that incorrect behavior observed when entering
  numbers from Japanese IME keyboard.(TFS-68158)

## C1.Xaml.FlexGrid

### Bug Fixes

- [Windows] Improved the performance of Row.GetData() method.

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that text of bullet list are shown in larger font size.(TFS-67913)
- [Windows] Fixed the issue that logo images and graphic line are missing.(TFS-67932)
- [Windows] Fixed the issue that exception occurs when loading certain pdf file.(TFS-64879)

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the issue that Win32 exception occurs when press Delete/Backspace
  after exporting text from HTML/RTF to C1RichTextBox.(TFS-68237)

# Release version 8.1.20141.400 - 05/26/2014

## C1.Xaml

### Bug fixes

- [Windows] C1ListViewer was not honoring Horizontal and VerticalAlignment properties of the items.

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that image of pdf file appears smudged when viewed in C1PdfViewer.(TFS-64196)
- [Windows] Fixed the issue that circle bullets are replaced with rectangles (TFS-67027)
- [Windows] Fixed the issue that NullReferenceException occurs when loading pdf file containing input controls.(TFS-67138)
- [Windows] Fixed the issue that dotted line is replaced with square characters.(TFS-67250)
- [Windows] Fixed the issue that CryptographicException occurs when loading password protected pdf file.(TFS-67198)

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the isue that ArgumentNullException occurred when removed link from
  hyperlink text after removed underline from it.(TFS-63328)

# Release version 8.1.20141.399 - 05/12/2014

## C1.Xaml

### Bug fixes

- [Windows] [C1Menu] Fixed the issue menu still shown in other pages after navigating
  from its original page while the menu is open (TFS-46206)
- [Windows] [C1TreeView] Fixed the issue AutoSearch not working for selected keyboard language
  (TFS-61298)

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that characters are too close and nearly overlapped in loaded pdf file.(TFS-65171)
- [Windows] Fixed the issue that unlike previous build, Table UI , logo image, checkbox, barcode,
  header text are not displayed.(TFS-65374)

# Release version 8.1.20141.398 - 05/03/2014

## C1.Xaml

### Bug fixes

- [Windows] C1DragHelper property Origin of DragStarted event args was returning a wrong value
  when performed with the finger.

## C1.Xaml.FlexGrid

### Bug Fixes

- [Windows] Exception raised when attempting to print was fixed.

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that some characters do not show PdfViewer.(TFS-64926)
- [Windows] Fixed the issue that some characters render incorrectly in PdfViewer.(TFS-64954,63001)
- [Windows] Fixed the issue that some white vertical lines are appeared upper the texts in C1PdfViewer.(TFS-64971)

# Release version 8.1.20141.397 - 04/28/2014

## C1.Xaml

### Bug fixes

- [Windows] Property path setter and getter were modified to support nested indexed path's
  as well as Default Visual Basic properties.

## C1.Xaml.FlexGrid

### Bug Fixes

- [Windows] Recycle templated cells to improve performance and avoid memory leaks (TFS 47354)

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that "Search" function does not work correctly.(TFS-64697)
- [Windows] Fixed the issue that uncorrect text renders in text box.(TFS-64707)
- [Windows] Fixed the issue that uncorrect text renders in PdfViewer.(TFS-64704,TFS-64863)
- [Windows] Fixed the issue that some formula and texts and table are not shown correctly in c1PdfViewer.(TFS-64730)

# Release version 8.1.20141.396 - 04/24/2014

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that checkboxes are displayed as unknown characters.(TFS-64441)
- [Windows] Fixed the issue that incorrect characters rendering.(TFS-64457,TFS-64459,TFS-64468,TFS-64482,TFS-64495,TFS-64483,TFS-64521,TFS-64522,TFS-64674)
- [Windows] Fixed the issue that font size render too large when load certain file.(TFS-64462,TFS-64467,TFS-64510)
- [Windows] Fixed the issue that incorrect text location and overlapped text rendering.(TFS-64460,TFS-64472,TFS-64511,TFS-64562,TFS-64647,TFS-64649)
- [Windows] Fixed the issue that IndexOutOfRangeException occurs on dragging the mouse on Japanese Kanji characeter.
  (TFS-64404)
- [Windows] Fixed the issue that PdfViewer can not scroll text into view.(TFS-64519,TFS-64523,TFS-64632)
- [Windows] Fixed the issue that strange block renders in PdfViewer.(TFS-64444)
- [Windows] Fixed the issue that text missing and small in PdfViewer.(TFS-64585)
- [Windows] Fixed the issue that correct word cannot be selected while searching texts on loading chinese pdf file.(TFS-64646)

# Release version 8.1.20141.395 - 04/21/2014

## C1.Xaml

### Bug fixes

- [Windows] [DropDown] Fixed the issue that DropDown of C1DropDown within C1TileViewItem
  cannot open while that TileViewItem is maximized state.(TFS-63740)
- [Windows] [C1NumericBox] Fixed the issue that zero could not be entered after a decimal
  point in C1Numericbox even is the set format is 'F2' or 'N2'.(TFS-63178)
- [Windows] [C1NumericBox] Fixed the issue that cursor does not shifts its position if the
  digit which occurs after the decimal point is typed again after the decimal for the
  second time.(TFS-63470)

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that text are not correctly selected on searching the value in pdf file.
  (TFS-63384)(TFS-63398)(TFS-63691)
- [Windows] Fixed the issue that watermark text are not correctly displayed in loaded pdf file.(TFS-63402)
- [Windows] Fixed the issue that some words and numbers are changed large font size in C1PdfViewer.
  (TFS-63397)(TFS-63469)
- [Windows] Fixed the issue that text are not correctly aligned
  when Chinese and English characters are on the same page(TFS-63431)
- [Windows] Fixed the issue that IndexOutOfRangeException occurs on loading pdf file.(TFS-63480)
- [Windows] Fixed the issue that setting 'Zoom' property at design time does not reflect to C1PdfViewer.(TFS-49958)
- [Windows] Fixed the issue that some text overlapped when loading certain pdf file.(TFS-63514)
- [Windows] Fixed the issue that Blank page is shown when viewing certain pdf file.(TFS-49837)
- [Windows] Fixed the issue that exception occurs on opening certain pdf file.(TFS-63840)

## C1.Xaml.TileView

### Bug fixes

- [Windows] [C1TileView] Win32 exception occured when double click the last added
  tileview item header when Rows=1 and Columns=1.(TFS-57205)

## C1.Xaml.RichTextBox.Menu

### Bug fixes:

- [Windows] Fixed the issue that image is not shown in exported rtf file.(TFS-50121)

# Release version 8.1.20141.394 - 04/07/2014

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that text are overlapped in scanned pdf.(TFS-61707)
- [Windows] Fixed the issue that text IndexOutOfRangeException occurs on loading the pdf file.
  (TFS-61708)(TFS-62919)(TFS-61726)
- [Windows] Fixed the issue that text NullReferenceExecption occurs on loading the pdf file.(TFS-62873)
- [Windows] Fixed the issue that texts are not shown on loading Pdf file.(TFS-61729)
- [Windows] Fixed the issue that some texts are getting lost except from first characters in Vietnamese pdf file
  (TFS-61731)
- [Windows] Fixed the issue that some texts are overlapped on loading Pdf file.(TFS-62861)
- [Windows] Fixed the issue that spaces disappear.(TFS-62867)
- [Windows] Fixed the issue that long time to load a file.(TFS-63083)
- [Windows] Fixed the issue that some texts inside the table
  are shown in larger font size when loading pdf file.(TFS-63001)
- [Windows] Fixed the issue that texts in specific rectangle are not shown in C1PdfViewer.(TFS-63039)
- [Windows] Fixed the issue “Find text” textbox is not able to search text
  on loading the pdf file containing both English and Japanese text.
  (TFS-62879)(TFS-63053)(TFS-62939)(TFS-63290)(TFS-63297)
- [Windows] Fixed the issue that some words are become large font size in c1PdfViewer.(TFS-61728)
- [Windows] Fixed the issue that blank pages are shown in C1PdfViewer.(TFS-63009)
- [Windows] Fixed the issue that header text is shown improperly in c1PdfViewer.(TFS-63266)
- [Windows] Fixed the issue that some texts are missing on loading report type 'RPC' format in C1ReportViewer.(TFS-63300)
- [Windows] Fixed the issue that NullReferenceException occurs when trying to go to page 31 in c1PdfViewer.(TFS-63283)

# Release version 8.1.20141.393 - 03/31/2014

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that ArgumentException is thrown when open certain pdf file.(TFS-61429)
- [Windows] Fixed the issue that overlapped text shown.(TFS-61659)
- [Windows] Fixed the issue few chinese characters are not rendered correctly.(TFS-49010)
- [Windows] Fixed the issue Japanese pdf file is not rendered properly in C1PdfViewer.(TFS-47215)

# Release version 8.1.20141.392 - 03/21/2014

## C1.Xaml

### Bug fixes

- [Windows] GetPropertyValue extension was not evaluating the path correctly when it has the
  following structure "[xxx.xxx]".

## C1.Xaml.Chart

### Bug fixes.

- [Windows] Fixed flickering in Direct2D rendering mode.

## C1.Xaml.TileView

### Bug fixes

- [Windows] [C1TileView] Application crashes if 'MaximizedIndex' property is
  set at runtime.(TFS-61203)
- [Windows] [C1TileView] Setting 'MaximizedIndex' property in XAML doesn't
  have any effect.(TFS-61204)

# Release version 8.1.20141.391 - 03/18/2014

## C1.Xaml

### Bug fixes

- [Windows] C1DragHelper was changed to set ManipulationMode property of the inner element
  after DragStarting event is raised.
- [Windows] [C1TabControl] Fixed the issue that C1DropDown cannot open in the C1TabItem
  after navigating other tabitems if 'UnselectedContentMode=Collapsed'.(TFS-50725)
- [Windows] [C1Menu] Unlike previous build, second level submenu of C1Menu can not open if 'AutoClose' property is set to True (TFS-50610).
- [Windows] [C1TabControl] Fixed the issue that exception occurs if C1TabItems are added
  after closing tabitems while UpdateSourceCollection=False.(TFS-50752)

### Improvements

- [Windows] [C1CollectionView] Added support for the IPagedCollectionView interface.
- [Windows] [C1TreeView] Added support for expanding/collapsing tree nodes with double-click.
- [Windows] Added automation support. Requires C1.Xaml.Automation assembly reference.
  Supported automation patterns:
  C1TimeSelector (Value)
  C1DateSelector (Value)
  C1DateTimeSelector (Value)
- [Windows] C1CollectionView added support for ISupportIncrementalLoading interface.

## C1.Xaml.Calendar

### Improvements:

- [Windows] Added automation support. Requires C1.Xaml.Automation assembly reference.
  Supported automation patterns:
  C1Calendar (Selection)
  DaySlotPresenter (SelectionItem)

## C1.Xaml.Chart

### Bug fixes.

- [Windows] Fixed chart interaction with gestures.
- [Windows] Improved clipping for line charts, previously the lines may appear outside
  plot area.
- [Windows] Fixed the problem with setting DataSeries.Display property(TFS 50695).
- [Windows] Fixed exception when zooming polygon chart(TFS 51384).
- [Windows] Plot areas are visible only for charts with Cartesian axes(TFS 50722).
- [Windows] Fixed exception when adding plot areas(TFS 50312).
- [Windows] Fixed exception when using mouse wheel for scaling(TFS 50369).
- [Windows] The point labels are hidden for collapsed series(TFS 50488).

### Improvements.

- [Windows] Added new property DataSeries.AggregateGroupSelector that allows to specify custom
  function for aggregating data along x-axis.

## C1.Xaml.DateTime

### Improvements:

- [Windows] Added automation support. Requires C1.Xaml.Automation assembly reference.
  Supported automation patterns:
  C1TimeEditor (Value, RangeValue)
  C1DatePicker (Value, ExpandCollapse)
  C1DateTimePicker (Value)

## C1.Xaml.FlexGrid

### Bug Fixes

- [Windows] Paste() method was not working fine.

### Improvements

- [Windows] Take row visibility into account when rendering alternate rows.
- [Windows] Added support for ISupportIncrementalLoading interface.

## C1.Xaml.Maps

### Improvements:

- [Windows] Improve the performance for C1Map.

## C1.Xaml.OrgChart

### Bug Fixes

- [Windows] 'XAMLParseException' occurs at runtime if 'ChildNodes' is added from
  collection editor in VS2012(TFS-34830)

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that unlike previous build, logo image is covered up by unknown
  multi color lines.(TFS-55871)
- [Windows] Fixed the issue that unlike previous build, some formula symbols are replaced by
  rectangle in c1PdfViewer.(TFS-55899)
- [Windows] Fixed the issue that 'NullReferenceException' is observed on loading certain pdf file.
  (TFS-55844)
- [Windows] Fixed the issue that unlike previous build, some bracket is not shown in C1PdfViewer.
  (TFS-52279)
- [Windows] Fixed the issue that unlike previous build, NullReferenceException occurs when trying
  to go to next page.(TFS-54416)
- [Windows] Fixed the issue that red cross are shown instead of images in C1PdfViewer.(TFS-51666)
- [Windows] Fixed the issue that text render incorrectly in C1PDfViewer.(TFS-51663)
- [Windows] Fixed the issue that formatException occurs when loading scanned image pdf file.(TFS-51681)
- [Windows] Fixed the issue that unlike previous build, text in logo image are displayed in
  reverse order.(TFS-51729)
- [Windows] Fixed the issue that unlike previous build, Images are displayed at incorrect
  position in c1PdfViewer.(TFS-51755)
- [Windows] Fixed the issue that logo image is overlapped by black rectangle in C1PdfViewer.
  (TFS-51917)
- [Windows] Fixed the issue that unlike previous build, bullets are replaced with rectangles.
  (TFS-50952)
- [Windows] Fixed the issue that customer's pdf file do not load in C1PdfViewer.(TFS-23668)
- [Windows] Fixed the issue that C1PDFViewer can not veiw properly certain pdf file.(TFS-29951)
- [Windows] Fixed the issue that background color is not rendered & few text appears garbled
  when loading specific pdf file.(TFS-43306)
- [Windows] Fixed the issue that gray background is shown instead of gradient background.
  (TFS-49683)
- [Windows] Fixed the issue that certain pdf file does not load in C1PdfViewer.(TFS-50044)
- [Windows] Fixed the issue that all the spaces infront of the found text are selected when
  typing in the "Search" box after loading the Japanese pdf file.(TFS-51100)
- [Windows] Fixed the issue that Text is displayed with incorrect background color when
  loading the pdf file in C1PdfViewer.(TFS-33008)
- [Windows] Fixed the issue that Pdf Not Displaying Properly.(TFS-21476)
- [Windows] Fixed the issue that image are converted to gray scale when open with C1PDFViewer.
  (TFS-23932)
- [Windows] Fixed the issue that unlike previous build ,bullets are replaced with unknown characters.
  (TFS-51312)
- [Windows] Fixed the issue that number renders incorrectly.(TFS-51263)
- [Windows] Fixed the issue that text font size are getting increased.(TFS-51448)
- [Windows] Fixed the issue that targetInvocationException is raised on loading the certain pdf file.
  (TFS-34549)
- [Windows] Fixed the issue that unlike previous build, typed text in "Search" box is not
  selected in C1PdfViewer if pdf file containing Chinese characters is loaded.(TFS-50832)

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the issue that "Strikethrough" formatting is lost, when loading RTF
  file with strikethrough style text.(TFS-47800)
- [Windows] Fixed the issue that formatting lost when copy/paste the formatted
  text in C1RichTextBox.(TFS-49567)
- [Windows] Fixed the issue that "Strikethrough" formatting on hyperlink text disappear
  on double clicking "Underline" menu of C1RTBMenu.(TFS-49415)
- [Windows] Fixed the issue that Polish character "ą" clears all data
  in C1RichTextBox.(TFS-43700)
- [Windows] Fixed the issue that Pressing polish "ż" (Alt + "z") using polish(Poland)
  programmer keyboard performs "Undo" action in C1RichTextBox.(TFS-46129)

## C1.Xaml.Tile

### Improvements:

- [Windows] Added support for Invoke automation pattern. Requires C1.Xaml.Automation assembly reference.

## C1.Xaml.Zip

### Bug Fixes:

- [Windows] Fixed the issue that OutofMemory Exception thrown while compressing file size
  of 300MB.(TFS-47606)
- [Windows] Fixed the issue that exception occurs when saving excel file with 'xls' or
  'xlsx' format.(TFS-56695)

# Release version 8.1.20133.382 - 01/31/2014

## C1.Xaml

### Bug fixes

- [Windows] [C1ContextMenu] Win32 exception thrown on setting 'IsSubmenuOpen' property to True at design time (TFS-50405).

# Release version 8.1.20133.381 - 01/27/2014

## C1.Xaml

### Bug fixes

- [Windows] Properties propagation was overwriting the properties set through a style which
  is based on another style.
- [Windows] Content of the ScrollViewer is clipped incorrectly when Padding property is set.

### Improvements

- [Windows] [C1RadialMenu] added support for numeric selection. That includes some new classes and updated ControlTemplate.
  The new C1RadialNumericItem control can be expanded to show the radial slider for numeric selection.
  For the sample of using look at BasicLibrarySamples.
- [Windows] [C1RadialMenu] added C1RadialMenuItem.SelectedItemOptions property.
  This property determines what part of the selected item should be displayed if ShowSelectedItem property is true.
  This property only makes sense for items with sub-items.
  Note, the options don't include item check sign. It is always shown for checked items.
- [Windows] C1DateTimeSelector honors CultureInfo.CurrentCulture, DateFormat and TimeFormat properties at filling popup selectors.
  For example, if Windows.Globalization.ApplicationLanguages.PrimaryLanguageOverride is set to "ko-KR",
  AM/PM designators are shown on the left side according to the Korean culture settings.
  It also fills the list of hours in 24 or 12 hour format according to the culture-related settings or to the custom TimeFormat value.
  (Tfs 45879).

## C1.Xaml.Calendar

### Breaking changes:

- [Windows] The C1Calendar's template part ContentCopy has been changed from the C1Calendar instance to the simple rectangle.
  If you use custom control template and need default animations,
  review C1Calendar xaml and make corresponding changes in your custom control template.

### Improvements:

- [Windows] added support for binding to custom data. This includes the next new members in the C1Calendar class:
  public IEnumerable DataSource { get; set; }
  Gets or sets the collection of objects which should be used as a calendar data source.
  This is a dependency property. The default value is null.
  If this property is set, the C1Calendar control collects data objects for individual days using the value of the property,
  specified by the StartTimePath property.
  Then, it updates the BoldedDates list and puts collection of objects for the each bolded day
  to the corresponding DaySlot.DataSource property.
  So, applications can use data in the DaySlot.DataSource property as a binding source in the custom DataTemplates.
  public string StartTimePath { get; set; }
  Gets or sets the name or path of the property that contains the custom object start time.
  This is a dependency property. The default value is "StartTime".
  public string EndTimePath { get; set; }
  Gets or sets the name or path of the property that contains the custom object end time.
  This is a dependency property. The default value is "EndTime".
  If custom object doesn't contains such property, this property can be omitted.
  In this case the C1Calendar control will use only start time.
  public void RefreshData();
  If the DataSource property is set, refreshes calendar with data from the data source.
  Use this method to refresh data if your data source doesn't implement the INotifyCollectionChanged interface.
  The C1Calendar samples have been simplified using the new data binding support.
- [Windows] Calendar animation implemented using ImageBrush with a copy of the current calendar content.
  It gives better performance and exact copy of the current month content in the animated part.

## C1.Xaml.Chart

### Bug fixes.

- [Windows] Fixed varios issues with plot area appearence(TFS 49628, 49674, 49681).

## C1.Xaml.FlexGrid

### Bug Fixes

- [Windows] Exception occurred when double clicking on a new row while C1FlexGrid is grouped by one column.
- [Windows] Unused TextTrimming, TextWrapping, HeaderTextTrimming and HeaderTextWrapping
  were removed from columns and rows.
- [Windows] Avoid entering in edit mode when double click in a cell that already was in edit mode.

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that PdfViewer takes some time to load a pdf file.(TFS-49548)
- [Windows] Fixed the issue that numbers render out of circle.(TFS-50321)

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the issue that ArgumentOutOfRangeException occurs when navigating
  Printing page of C1RichTextBox.(TFS-49809)
- [Windows] Fixed the issue that TypeInitializaitonException occurs when building
  RichTextBoxSamples.(TFS-49801)
- [Windows] Fixed the issue that Win32 exception occurs when second time trying to
  resize table that was added with Html format.(TFS-50144)

# Release version 8.1.20133.380 - 01/20/2014

## C1.Xaml.Chart

### Bug fixes.

- [Windows] Fixed the problem when using zoom with area stacked chart(TFS 49275).

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that win32 exception occurs when trying to select text of signed pdf
  .(TFS-49675)

# Release version 8.1.20133.379 - 01/15/2013

## C1.Xaml

### Bug fixes

- [Windows] [C1TreeView] ArgumentException raised on selecting tree node.(TFS-49381)

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that image/graphic is shown with black background.(TFS-35635)
- [Windows] Fixed the issue that pdf is not rendered properly in C1PDFViewer.(TFS-24581)
- [Windows] Fixed the issue that keyNotFoundException is raised on loading the Pdf file.
  (TFS-20258)
- [Windows] Fixed the issue that pdF File is not rendered properly.(TFS-30107)

## C1.Xaml.Sparkline

### Bug fixes

- [Windows] [C1Sparkline] Sparkline control disappears when SparklineType is
  changed at run time.(TFS-49408)

# Release version 8.1.20133.378 - 01/13/2014

## C1.Xaml

### Improvements

- [Windows] [C1TreeView] Add SelectionChanging event for C1TreeView.(TFS-46500)

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that PdfPasswordException rasied on loading the pdf file without
  password.(TFS-48327)

# Release version 8.1.20133.377 - 01/06/2014

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue unlike previous build,unlike previous build, some texts become
  large font size in C1PdfViewer.(TFS-48565)
- [Windows] Fixed the issue unlike previous build,unlike previous build, text are not clearly
  shown in scanned pdf.(TFS-48560)

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the issue that UpdateSourceTrigger set to "PropertyChanged" value does
  not work correctly.(TFS-30551)
- [Windows] Fixed the issue that space between japanese text are removed on loading
  RTF/HTML file or setting japanese text from xaml and code behind.(TFS-48708)
- [Windows] Fixed the issue that "TAB" key is not working properly in C1RichTextBox.(TFS-42859)

# Release version 8.1.20133.376 - 12/30/2013

## C1.Xaml

### Bug fixes

- [Windows] C1FilePicker was raising exception when setting FilterIndex property.
- [Windows] [C1MaskedTextBox] Fixed the issue that not able to input Japanese text.(TFS-38930)
- [Windows] [C1MaskedTextBox] Fixed the issue that previous input Japanese text
  append to the ahead of newly typed in text.(TFS-42025)

## C1.Xaml.Chart

### Breaking Changes.

- [Windows] The ChartData.Children collection must be set in XAML with property element
  syntax:
  <c1:ChartData>
  <c1:ChartData.Children>
  <c1:DataSeries />
  <c1:DataSeries />
  </c1:ChartData.Children>
  </c1:ChartData>
  It is not possible to set collection as direct content of ChartData element since
  it causes the problems with WinRT XAML parser.

### Bug fixes.

- [Windows] Fixed error in building chart samples(TFS 48201).

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue unlike previous build, applied underline styles are missing in some
  titles.(TFS-48185)
- [Windows] Fixed the issue unlike previous build, German texts are not shown in C1PdfViewer.
  (TFS-48172)
- [Windows] Fixed the issue unlike previous build, dotted lines are missing in C1PdfViewer.
  (TFS-48195)
- [Windows] Fixed the issue unlike previous build, text are not displayed in C1PdfViewer
  if these are added inside the box or rectangle.(TFS-48208)
- [Windows] Fixed the issue pdfParserException raised on viewing certain Pdf file(Support
  ASCIIHexDecode,RunLengthDecode).(TFS-40257)
- [Windows] Fixed the issue unable to view scanned pdf file in C1PDFViewer.(TFS-33170)

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the issue that NullReferenceException is observed on using
  simple html.(TFS-47050)
- [Windows] Fixed the issue that error occurs when Hyperlink is clicked
  in C1RichTextBox.(TFS-43089)
- [Windows] Fixed the issue that underline does not appear when hyperlink applied
  to strikethrough style text.(TFS-47536)

# Release version 8.1.20133.375 - 12/23/2013

## C1.Xaml

### Bug fixes

- [Windows] C1FilePicker was displaying the name of a selected file after calling ClearSelection
  and setting Multiselect.
- [Windows] [C1TreeView] Win32 exception occurs when dragging treeview
  item while 'DropAction' is set to 'Copy'.

## C1.Xaml.Calendar

### Improvements:

- [Windows] added new property to the C1Calendar control
  public DataTemplate BoldedDaySlotTemplate {get; set;}
  Gets or sets a DataTemplate that defines a UI representation of
  a bolded day. This is a dependency property.
  A DataContext for this template is a DaySlot object.
  This DataTemplate is automatically applied to the bolded days if DaySlotTemplate property is set or if DaySlotTemplateSelector property is null.
  Using this property in simple scenarios instead of DaySlotTemplateSelector doesn't require any code-behind.
  Note: the DaySlotTemplateSelector property setter has been removed from the default control style.

## C1.Xaml.FlexGrid

### Bug Fixes

- [Windows] Editing value was not committed when using a combobox inside a template cell.

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue unlike previous build , Japanese text are not displayed in
  C1PdfViewer.(TFS-47752)
- [Windows] Fixed the issue 'NullReferenceException' occurred when drag Annotation dialog
  box .(TFS-47858)
- [Windows] Fixed the issue Blurry text found when viewing the certain pdf file in C1PdfViewer.
  (TFS-44145)

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the issue that Win32 exception occurs after selecting all text
  in C1RichTextBox and Copy/Cut.(TFS-47587)

# Release version 8.1.20133.374 - 12/16/2013

## C1.Xaml

### Bug fixes

- [Windows] [C1Menu] Fix the issue that Win32 exception raised when press Enter key
  after selecting menu items by arrow keys.(TFS-47390)

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue unlike previous build , some words and numbers are crashed.
  (TFS-47457)
- [Windows] Fixed the issue unlike previous build, some texts are not shown in specific rectangle
  area.(TFS-47481)
- [Windows] Fixed the issue unlike previous build , some numbers become large font.
  (TFS-47525)
- [Windows] Fixed the issue that the PageCount is zero when RenderMode = System.
- [Windows] Fixed the issue that larger font size are shown and some text are cut off
  (TFS-47450)

### Improvements:

- [Windows] Support GetPage(pageNumber) method when RenderMode = System.

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the issue that "Delete cells" option doesn't deletes first cell in
  that row.(TFS-47537)

# Release version 8.1.20133.373 - 12/09/2013

## C1.Xaml

### Bug fixes

- [Windows] ScrollViewer template changed to render corners more accurately.

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that C1PdfViewer cannot select and find the text on custom create
  pdf file(19965)
- [Windows] Fixed the issue that C1PdfViewer cannot render wrong text when load certain file.
  (TFS-47139)(TFS-47140)
- [Windows] Fixed the issue that C1PdfViewer cannot render wrong text when load certain file.
  (TFS-47157)

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the issue that Chinese characters appear garbled when loaded from
  a RTF file.(TFS-41696)
- [Windows] Fixed the issue that black diamond shapes are shown instead of Japanese
  texts when loading RTF file in C1RichTextBox.(TFS-45783)

# Release version 8.1.20133.372 - 12/02/2013

## C1.Xaml

### Bug fixes

- [Windows] Exception occurs for C1DateTimeSelector, if its 'AllowNull' property is set to true.(TFS-467552)

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that zooming feature does not work on double
  clicking when RenderMode=Default(46476)
- [Windows] [PH] Fixed the issue that When next button is clicked, page number is
  shown as 3/6 instead of 2/6(46558)
- [Windows] Fixed the issue that Unlike previous build, it takes longer time to see the
  pdf content(46856)
- [Windows] Fixed the issue that garble text render when load japanese file.(TFS-46461,TFS-46462)

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the issue that Japanese text layer move along with scrolling while
  it is in edit mode.(TFS-46257)
- [Windows] Fixed the issue that White blank layer covered the existing text next
  to the insert point of Japanese text.(TFS-46251)

# Release version 8.1.20133.371 - 11/25/2013

## C1.Xaml

### Bug fixes

- [Windows] Fix the issue that even on setting CurrentUICulture to English, display is in Japanese.(TFS-43302)
- [Windows] [C1Menu] Fix the issue that win32 exception raised on navigating menu items
  by left/right arrow keys.(TFS-46204)

### Improvements

- [Windows] C1ProgressBar added.

## C1.Xaml.Calendar

### Improvements:

- [Windows] Implemented C1Calendar keyboard selection (single-day selection only).
  End-user can alter C1Calendar selection using Home, PageUp, PageDown and arrow keys.

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that text overlapped when loaded certain text.(46315)
- [Windows] Fixed the issue that lines of text are missing in loaded pdf file.(46310)
- [Windows] Fixed the issue that incomplete dynamic bit lengths tree xxx occurs on loading
  the pdf file containing the input controls.(44649)
- [Windows] Fixed the issue that Inflating error is raised on loading the certain pdf
  file.(33728)
- [Windows] Fixed the issue that C1.C1Zip.ZLib.ZStreamException occurs when pdf file with
  graphic is opened(33003)
- [Windows] Fixed the issue that Win32 exception raised on loading
  AcroForm pdf file if RenderMode=System.(46458)
- [Windows] Fixed the issue that the page are overlapped and are bigger than the container.
- [Windows] Fixed the issue that incorrect links are displayed in the RequestNavigate event
  (45697)

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the issue that Win32 exception occurs when undoing(Ctrl+Z) to
  deleting all texts of C1RichTextBox.(TFS-46256)
- [Windows] Fixed the issue that text formatting remove and number list are added
  to the different formatted text when pasting in WordPad.(TFS-45638)
- [Windows] Fixed the issue that Win32 exception raised on trying to resize
  inserted image with finger.(TFS-46574)

## C1.Xaml.TileView

### Bug fixes

- [Windows] [C1TileView] TileView items cannot scroll by sliding with
  finger.(TFS-44713)

# Release version 8.1.20133.369 - 11/18/2013

## C1.Xaml

### Bug fixes

- [Windows] C1ListViewer rendering issue fixed.
- [Windows] [C1TreeView] Unlike SL, cannot navigate through HierarchicalTemplate
  TreeView items by arrow keys.(TFS-46207)

## C1.Xaml.FlexGrid

### Bug Fixes

- [Windows] Selecting template cells when the original event was handled was not working properly.

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that in C1PdfViewer, wrong character is displayed.(TFS-29618)
- [Windows] Fixed the issue that in C1PdfViewer, extra spaces is displayed.(TFS-44523)
  (TFS-33260)
- [Windows] Fixed the performance issue with pdfviewer when RenderMode= System.

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the issue that "Top" Padding is removed on setting "Bottom" padding and
  vice versa for Table Cells in C1RichTextBox.(TFS-41281)
- [Windows] Fixed the issue that after save and rebuild, values of "SelectionLength"
  and "SelectionStart" properties are reset to "0" at property grid.(TFS-44040)

# Release version 8.1.20133.368 - 11/12/2013

## C1.Xaml

### Breaking Changes

- [Windows] C1ListViewer.ItemTap, ItemClick and ItemHold events were marked as "Obsolete",
  use ItemTapped and ItemHolding instead.

### Bug fixes

- [Windows] C1ListViewer items whose width was bigger than the viewport was being clipped.
- [Windows] C1ListViewerItem and C1ListBoxItem properties Horizontal/VerticalContentAlignment
  were not honored.
- [Windows] [C1TreeView] Fix the drag/drop issue with treeview on touch mode.
- [Windows] [C1DropDown] Fixed the issue that Description of the enumeration of
  DropDownDirection property mention as ‘C1.Silverlight.C1ComboBox’.(TFS-45669)
- [Windows] [C1TreeView] Cannot have scrolling when drag/drop is enabled.
- [Windows] [C1TreeView] Tree node item not get moved/copied if it is
  moved/copied to the last place of another node.(TFS-42873)
- [Windows] [C1NumericBox, C1MaskedTextBox] Controls now honour the FrameworkElement.Language
  property. The Culture property is marked as obsolete.
- [Windows] C1ListViewer.BringIntoView() method was not working properly.
- [Windows] [C1TabControl] Change of the C1TabControl.TabStripPlacement property value
  may distort control layout under some specific conditions.
- [Windows] [C1ListBox] Unused CornerRadius property removed.
- [Windows] [C1TabControl] C1TabControl with a global close button causes an infinite
  measure/arrange loop when minimized to a length that doesn't fit a single tab.

### Improvements

- [Windows] C1TapHelper.Holding event added.
- [Windows] C1ListBox now accept selecting an item by clicking it or tapping it.
- [Windows] C1ListViewer now support loading items on demand.
- [Windows] [C1RadialMenu] added support for color selection. That includes some new classes and updated ControlTemplate.
  The new C1RadialColorItem control can be expanded to show the collection of C1RadialColorItems, Brushes or Colors.
  For the sample of using look at BasicLibrarySamples and RichTextBoxSamples.

## C1.Xaml.Chart

### Bug fixes.

- [Windows] Fixed rendering issue for pie chart with single value.
- [Windows] Chart updates correctly after changing Axis.UseExactLimits property(TFS 23834).

## C1.Xaml.DateTime

### Improvements:

- [Windows] added EntranceThemeTransition to the C1DatePicker drop-down.

## C1.Xaml.FlexGrid

### Breaking changes

- [Windows] Template parts changed, _root, _sbV and _sbH were removed while _scrollViewer
  template part was added.
- [Windows] FlexGrid properties FrozenRows, FrozenColumns, ColumnFooterRows, ColumnFooters,
  BottomLeftCells, AreRowGroupHeadersFrozen, ScrollBarVertical, ScrollBarHorizontal removed.
- [Windows] The virtual methods CreateColumnFooterContent() and CreateBottomLeftContent()
  were removed from CellFactory.

### Bug Fixes

- [Windows] Printed grid was not honoring MinHeight property.
- [Windows] ScrollPositionChanging and ScrollPositionChanged events were not being raised.
- [Windows] In the Japanese version only, require pressing enter twice to finish edit mode (TFS 41823).
- [Windows] Scrolling with the mouse throws an exception.
- [Windows] Unable to edit by double clicking a cell.
- [Windows] Star-width columns feature restored.
- [Windows] HeadersVisibility property was not working.
- [Windows] Resizing columns with the finger improved.
- [Windows] Auto-complete feature restored.
- [Windows] Checkbox state was not changed correctly after entering in edit mode.
- [Windows] Auto-sizing a column with the mouse was causing the sort operation to be executed incorrectly.
- [Windows] Selection was not performed when templated cells contain elements that handle mouse events.

### Improvements

- [Windows] Built-in zoom feature added.

## C1.Xaml.Gauge

### Bug Fixes:

- [Windows] Fixed the issue that Silverlight namespaces are found in description of some
  C1Xaml namespaces.(TFS-45723)

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that in the Orientation page of PdfViewer sample, when the
  pdf file is double clicked, Win32 exception is thrown.(TFS-44749)
- [Windows] Fixed the issue that pin zoom behavior can't work well when
  RenderMode is System.
- [Windows] Fixed the issue that extra spaces appear when load certain pdf file.(TFS-45523)
- [Windows] Fixed the issue that in C1PdfViewer viewing the Acroform pdf file
  on touch monitor,when the checkbox, radio button or button objects are touched by
  finger, Win32 exception thrown.(TFS-44452)
- [Windows] Fixed the issue that when the AcroForm pdf file is loaded in PdfViewer and
  that file is printed using XPS document writer then TextBox, ListBox, ComboBox,
  Button controls are disappeared and icons for RadioButton and CheckBox are missing
  in the printed oxps file.(TFS-42881)
- [Windows] Fixed the issue that in C1PdfViewer, when the hyperlink is clicked by mouse,
  RequestNavigate event does not fire.(TFS-44477)
- [Windows] Fixed the issue that text clipped when load certain file.(TFS-41690)
- [Windows] Fixed the issue that certain text can not be found.(TFS-43910)
- [Windows] Fixed the issue that FreeText can not show.(TFS-42910)
- [Windows] Fixed the issue that when the acroform pdf file is loaded in C1PdfViewer,
  ListBox and ComboBox shown blank instead of displaying their respective items in them.
  (TFS-42904).
- [Windows] To support password textbox and readonly textbox for formField .(TFS-42902).
- [Windows] Fixed the issue that text overlapped and clipped when load certain text file.
  (TFS-41690)(TFS-41981)
- [Windows] Fixed the issue that when the custom zoom value is set and the
  focus is removed from the zoom combo box, the custom zoom value is shown
  as "set value + 1"(TFS-35402)
- [Windows] Fixed the issue that Border style is missing in input controls of loaded pdf file.
  (TFS-43664).
- [Windows] Fixed the issue that When the acroform pdf file is loaded in C1PdfViewer,
  text cannot enter in the blank cell of the table.(TFS-42907)
- [Windows] Fixed the issue that RequestNavigate event which link self file does not fire.
  (TFS-43305)
- [Windows] Fixed the issue that Unhandled exception [Input string was not in correct format xxx ]
  occurs.(TFS-42803)
- [Windows] Fixed the issue that thrown nullreference exception on loading pdf file.(TFS-42804)
- [Windows] Fixed the issue that thrown unhandled exception on loading pdf file.(TFS-42805)
- [Windows] Fixed the issue that it does not scroll down to show the found result.(TFS-42909)
- [Windows] Fixed the issue that Signature and Paragraph are missing in load pdf file.(TFS-42821)

### Improvements:

- [Windows] Implement RenderMode for C1PdfViewer.

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the issue that cross sign appears while entering some text with
  Microsoft IME keyboard.(TFS-44642)
- [Windows] Fixed the issue that Win32 exception raised on adding emoji icon
  from virtual keyboard.(TFS-44374)
- [Windows] Fixed the issue that clicking the image does not cause the image
  selection.(TFS-42830)

## C1.Xaml.Sparkline

### Bug fixes

- [Windows] [C1Sparkline] ‘InvalidCastException’ is occurred when
  ‘MaxAxisType’ or ‘MinAxisType’ property is set to ‘Group’.(TFS-44114)
- [Windows] [C1Sparkline] File description/Product name are missing and wrong
  File/Product version is found.(TFS-42809)

### Improvements

- [Windows] [C1Sparkline] Change the Settings property of C1Sparkline.

## C1.Xaml.SpellChecker

### Improvements

- [Windows] First release.

## C1.Xaml.Tile

### Bug fixes

- [Windows] Unlike C1FlipTile, ‘DropShadowEffect’ is not affected in C1Tile and C1SlideTile (Tfs issue 43463).
  Added the new TemplatePart to the C1Tile control. If control template contains element with "contentGrid" name,
  the C1Tile control will clip this element to bounds so that to don't allow animated content get out of control bounds.
  If this template part does not exist in the control template, then the C1TileControl will clip itself.

## C1.Xaml.RichTextBox.AppBar

### Breaking Changes

- [Windows] Change the assembly’s name from C1.Xaml.RichTextBox.ApplicationBar to
  native C1.Xaml.RichTextBox.AppBar.

## C1.Xaml.RichTextBox.Menu

### Bug fixes:

- [Windows] Fixed the issue that Although "IsEnabled" property is set "false",
  menu items can be accessed as if IsEnabled=True.(TFS-44011)
- [Windows] Fixed the issue that RichTextBoxMenu not shown up when opening on
  the blank RTB.(TFS-43850)
- [Windows] Fixed the issue that Win32 exception raised on changing font style in
  formatting RichTextBox.(TFS-43469)

### Improvements:

- [Windows] First release.

# Release version 8.0.20132.359 - 09/30/2013

## C1.Xaml

### Bug fixes

- [Windows] [C1DataGrid] Filter popup does not detect boundary when setting
  ‘FlowDirection – RightToLeft’.(TFS-42248)

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that unknown white line is displayed
  in the header of loaded pdf file.(TFS-41693)
- [Windows] Fixed the issue that when customer's pdf file is viewed in C1PDfViewer ,
  then 'Invalid file format' error is observed.(TFS-42043)
- [Windows] Fixed the issue that extra spaces are inserted.(TFS-42436)
- [Windows] Fixed the issue last word of the sentence is not displayed in loaded pdf file.(41690)
- [Windows] Fixed the issue that text are overlapped.(40275)

### Improvements:

- [Windows] Provide formfield support to C1PDFViewer.
- [Windows] Provide annotation support to C1PDFViewer.

# Release version 8.0.20132.358 - 09/23/2013

## C1.Xaml.Chart

### Bug fixes.

- [Windows] The ChartView.PlotShape property clears correctly after C1Chart.Reset() method
  (TFS 41719).

# Release version 8.0.20132.357 - 09/16/2013

## C1.Xaml

### Bug fixes

- [Windows] [C1ComboBox] Unlike previous build, C1ComboBox is not cleared after some
  scenarios.(TFS-41757)
- [Windows] [C1ListBox] SelectedItems property was not working properly.

## C1.Xaml.Chart

### Improvements.

- [Windows] After dropping chart from toolbox the palette is set to Office.

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that text are overlapped in loaded pdf file
  when pdf file is loaded into C1PdfViewer.

## C1.Xaml.RichTextBox

### Improvements:

- [Windows] Add Ignore property to DocumentHistory which is used to indicates whether
  the action is stored in DocumentHistory or not when change the document.

# Release version 8.0.20132.355 - 09/09/2013

## C1.Xaml

### Bug fixes

- [Windows] [C1TabControl] First C1TabItem added via code loses its Content.

## C1.Xaml.Chart

### Bug fixes.

- [Windows] Fixed problem with exception after ctrl+mouse wheel over chart legend(TFS 40630).
- [Windows] AxisPosition.DisableLastLabelOverflow flag works correctly with y-axis(TFS 40250).

# Release version 8.0.20132.353 - 09/02/2013

## C1.Xaml

### Bug fixes

- [Windows] [C1ListViewer] items dissapear when theme is changed.

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that image mask render incorrectly. (TFS-41221)(TFS-41228)
- [Windows] Fixed the issue that image mask render incorrectly. (TFS-41154)
- [Windows] Fixed the issue that text are overlapped and some char render incorrectly. (TFS-41052)
- [Windows] Fixed the issue that PDFViewer raise an exception when load a certain file. (TFS-41417)
- [Windows] Fixed the issue that image does not render when print pdf. (TFS-41064)

# Release version 8.0.20132.352 - 08/26/2013

## C1.Xaml

### Improvements

- [Windows] [C1TreeView] Drag/drop by touch support in WinRT.
- [Windows] [C1RadialMenu] Added ShowToolTip property. Set it to false to cancel showing tooltips for all items.
  You can also hide tooltip for individual C1RadialMenuItem by setting item ToolTip
  property to one or more spaces (for example: ToolTip=" ").
  Note: if you set ToolTip in xaml to empty string (ToolTip=""), property value remains null.
  In such case item Header property will be used to set actual tooltip value.

## C1.Xaml.Chart

### Bug fixes.

- [Windows] Automatic min/max calculation for auxiliary axes is consistent with main axes.
  Previously it may be different for the constant data values(TFS 41160).

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that image background render black in C1PdfViewer. (TFS-41044)

# Release version 8.0.20132.351 - 08/19/2013

## C1.Xaml

### Bug fixes

- [Windows] [C1TapHelper] Tapped event was not fired correctly in SL and WPF3.5.

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that image is not display in C1PdfViewer. (TFS-40812)
- [Windows] Fixed the issue that text location render incorrectly.(TFS-40947)

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the issue that line breaks are missing when html file is loaded in
  C1RichTextBox.(TFS-40974)

# Release version 8.0.20132.350 - 08/12/2013

## C1.Xaml

### Bug fixes

- [Windows] [C1ComboBox] When C1ComboBox's Condition property is set to 'Contains', cursor
  move to the initial point as soon as type the text.(TFS-40603)

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that text in the page are not fully displayed. (TFS-40485)

### Improvements:

- [Windows] Add BlackoutWords property that make specific text as black out.(TFS-29415)

## C1.Xaml.Sparkline

### Improvements

- [Windows] Add Sparkline control in Win8.1

# Release version 8.0.20132.349 - 08/05/2013

## C1.Xaml

### Bug fixes

- [Windows] [C1ListViewer] ZoomMode disabled was not working correctly.

## C1.Xaml.FlexGrid

### Bug Fixes

- [Windows] Selecting a second range of cells by pressing ctrl key and dragging the selection was not working correctly.
- [Windows] Set editor's InputScope to numeric when editing numeric columns.

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that images are not rendered correctly.(TFS-40353)
- [Windows] Fixed the issue that images are not rendered correctly.(TFS-40449)
- [Windows] Added "CloseDocument" method for avoiding memory leak.(TFS-33368)
- [Windows] Fixed the issue that images are not rendered.(TFS-40121)
- [Windows] Fixed the issue that images are not rendered.(TFS-40125)

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the issue that In C1RichTextBox,cut table with "Cut" button,
  "NullReferenceException" occurred and "Just-In-Time" exception occurred
  with "ctrl+X".(TFS-40328)

# Release version 8.0.20132.346 - 07/30/2013

## C1.Xaml

### Improvements

- [Windows] C1TapHelper.RightTapped event added.

# Release version 8.0.20132.344 - 07/29/2013

## C1.Xaml

### Breaking Changes

- [Windows] [C1CollectionView] AddNew behaviour for grouped view is exactly the same as in Microsoft collection view
  for Silverlight.

### Bug fixes

- [Windows] [TabControl] Top part of the tab strip got clipped when
  TabItemShape = Ribbon.(TFS-36485)
- [Windows] [C1CollectionView] A number of problems resolved.

## C1.Xaml.FlexGrid

### Bug Fixes

- [Windows] GetClipString and SetClipString methods now respect invisible rows (TFS 39945).

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that rendered with C1Report display incorrectly.(TFS-34807)
- [Windows] Fixed the issue that images are not rendered correctly.(TFS-34281)

## C1.Xaml.RichTextBox

### Breaking Changes

- [Windows] Integrate rtf filter into C1RichTextBox assembly. Please remove the extra
  RtfFilter assembly in your application from now on.

### Bug fixes:

- [Windows] Fixed the issue that more than 1 row is inserted when insert one new row in
  merged table.(TFS-36681)
- [Windows] Fixed the issue that multiple cells are inserted if the table cells are
  merged.(TFS-34458)
- [Windows] Fixed the issue that focus cursor does not get into user's view after adding new
  row by pressing TAB key.(TFS-39835)
- [Windows] Fixed the issue that Although hyperlink is removed from C1RichTextBox,
  it is not actually removed in it's html.(TFS-36675)

## C1.Xaml.TileView

### Bug fixes

- [Windows] [C1TileView] No effect is seen on setting ‘ScrollbarVisibility’
  property of C1TileView.(TFS-33914)

# Release version 8.0.20132.342 - 07/18/2013

## C1.Xaml

### Breaking Changes

- [Windows] [C1CollectionView] If an item change causes its repositioning then
  the CollectionChange event reports Delete/Add pair of actions now, instead of Reset.
- [Windows] C1MouseHelper obsolete drag events removed, use C1DragHelper instead.

### Bug fixes

- [Windows] C1DragHelper incorrect detection of drag gestures when more than one finger was present.
- [Windows] C1ListViewer.IsSwipeEnabled default value set to false.
- [Windows] [C1Window] Although 'IsActive' property is set to false, C1Window is opened in
  the active state.(TFS-37240)
- [Windows] [C1Window] Unlike previous build, 'NullReferenceException' is occurred on
  setting C1 theme when running ‘Themes2010’ sample.(TFS-39596)
- [Windows] [C1CollectionView] A new group created as a result of the AddNew action is
  always placed to the end of the groups list.
- [Windows] [C1CollectionView] The CurrentChanged event is not raised after removal of a
  current row.
- [Windows] [C1CollectionView] An attempt to group on a property containing the null value
  in one of the items ends up with an exception.
- [Windows] ScrollViewerTouchBehavior was raising an exception when the Theme was changed.
- [Windows] [C1TreeView] Multiple issues observed in keyboard navigation and
  expand/collapse.(TFS-33823)
- [Windows] [Menu] Second level submenu opens overlapped or far away from its respective
  main menu.(TFS-36748)
- [Windows] [C1ContextMenu] Submenu of ContextMenu opens far away from its main menu when
  FlowDirection = RightToLeft.(TFS-36734)
- [Windows] [C1CollectionView] Adding a new item when C1CollectionView is grouped may produce
  incorrect change notifications.
- [Windows] C1Window could not be resized inwards with the finger.
- [Windows] [TabControl] Unlike TabControl_SL, a tab strip still
  shown though ShowSingleTab = False.(TFS-36793)
- [Windows] [C1TreeView] Scroll-bars are not shown on setting ‘Width’ and ‘Height’
  properties in C1TreeView.(TFS-33927)
- [Windows] [C1NumericBox] Pressing d digit key when a current value is 0.d and is fully selected
  doesn't change the value to d.
  [Xaml][C1TabControl] Unhandled exception is occurred at design-time when drop
  C1TabControl on the design page in a certain scenario.(TFS-36112)
- [Windows] [C1TabControl]Selection moves to next item when pinned the second item.(TFS-36586)
- [Windows] [C1TreeView] When SelectionMode is set to Multiple, selected
  item does not get unselected by clicking again that item.(TFS-37383)
- [Windows] [C1TreeView] Setting TextWrapping property on C1TreeViewItem does not work and text is not wrapped.(TFS-37049)
- [Windows] [C1TreeView] TreeView items got selected randomly when navigating TreeView through keyboard.(TFS-36776)
- [Windows] CornerRadius of templated ScrollViewer was not being clipped correctly.
- [Windows] [C1TabControl] Close (X) buttons are not shown in C1TabControl items except
  first C1TabItem on setting ‘TabItemClose – InEachTab’.(TFS-35834)
- [Windows] [C1TabControl] When ‘TabItemShape’ and ‘TabStripPlacement’ properties are
  applied , last character of header text is cut off.(TFS-36534)

### Improvements

- [Windows] [C1DateSelector] added MinWidth setting in the default style.
  The default value is 300 as in C1DateTimeSelector control template (Tfs issue 39916).
- [Windows] improved C1UniformGrid behavior which honors layout rounding issue
  (http://our.componentone.com/groups/topic/c1uniformgrid-clip-path-fidure-on-sides/).
- [Windows] Added C1ContextMenuService.ShowHoldingIndicator attached property.
  If this property is set, C1ContextMenuService will show holding indicator as in Windows 8 desktop applications.
  The default value is true. To disable holding indicator, set this property to false.
- [Windows] Added C1ContextMenuService.MenuOpenMode attached property.
  It allows to open context menu on Tapped event instead of RightTapped.
  The default value is ContextMenuOpenMode.RightTapped.
- [Windows] Added new C1RadialMenu control. It represents a touch-friendly alternative to the traditional context menu.

## C1.Xaml.Chart

### Bug fixes.

- [Windows] Interaction now supported for several plot areas, the actions are
  applied for plot area under mouse pointer. Previously the interaction
  was available only for plot area with main x- and y-axes(TFS 28294).
- [Windows] Clipping now works correctly for financial charts(HighLowOpenClose,Candle).
  Previously the symbol can not be shown if its part is not in plot area.
- [Windows] Interactive action(like zoom or scale) can be started only if the pointer
  is inside plot area(TFS 33464).
- [Windows] Fixed various issues related with Direct2D rendering mode
  (TFS 37582, 37444, 37517, 37846).
- [Windows] PieDoughnut chart displayed correctly(TFS 37460).

### Improvements.

- [Windows] Added high performance Direct2D render mode, new enum element
  RenderMode.Direct2D. At this moment this mode supports only line and symbol charts,
  also there are following limitation comparing with standard rendering mode:
  data point labels, tooltips and PlotElementLoaded event are not available.
  // set data series render mode
  dataSeries.RenderMode = RenderMode.Direct2D;
- [Windows] Added new chart type: stacked step area, new enum element ChartType.StepAreaStacked.
  // set stacked step area chart type
  chart.ChartType = ChartType.StepAreaStacked;
- [Windows] Added new attached property BarColumnOptions.SeriesOverlap. The property controls
  series overlap for bar and column chart. The valid range is from -1 to 1.
  // set overlap between series by 25%
  BarColumnOptions.SetSeriesOverlap(chart, 0.25);
- [Windows] Added new attached property PieOptions.Offet. The property defines the relative
  offset of pie slice(explosion) from the center. The valid range is from 0 to 1.
  // set relative distance from center to 0.1
  PieOptions.SetOffset(chart, 0.1);
- [Windows] Added new attached property PieOptions.InnerRadius. The property specifies inner
  radius(hole size). The valid range is from 0 to 1 where 1 corresponds to outer
  radius.
  // set inner radius to half of outer radius
  PieOptions.SetInnerRadius(chart, 0.5);
- [Windows] Added option to hide axis labels, new enum element AnnoPosition.None.
  // hide x-axis labels
  chart.View.AxisX.AnnoPosition = AnnoPostion.None;
- [Windows] Added new options for LegendPosition, new elements of LegendPosition enum:
  TopLeft, TopCenter(same as Top), TopRight,
  BottomLeft, BottomCenter(same as Bottom), BottomRight.
  // put legend to the top right
  legend.Position = LegendPosition.TopRight.
- [Windows] Added new property C1ChartLegend.OverlapChart. When OverlapChart = true the legend
  can overlap the parent chart. Default value is false.
  // allow legend to overlap chart
  legend.OverlapChart = true;

## C1.Xaml.FlexGrid

### Bug Fixes

- [Windows] Column/Row could no be resized by dragging its header separator and sorting was performed
  incorrectly on double clicking the resize separator.
- [Windows] Sorting was performed incorrectly when outline bar buttons were pressed.
- [Windows] Avoid scrolling horizontally when the gesture started over a row header, and vertically
  when the gesture is performed over a column header.
- [Windows] Sort action was incorrectly performed on mouse down, instead of mouse click,
  and when double-click was performed in the auto-resize zone.
- [Windows] Avoid selecting when a row header is being resized.
- [Windows] Click,Row/ColumnResized events were not being fired.
- [Windows] Printing did not account for footer rows correctly (TFS 37350)

## C1.Xaml.Gauge

### Bug Fixes:

- [Windows] Fixed the issue that if "AutoDetectMarkTemplates" property is set true
  or false, C1GaugeLabel is not appeared.(TFS-37210)

## C1.Xaml.OrgChart

### Bug Fixes

- [Windows] Correct version and copyright information of dll file.

### Improvements:

- [Windows] First release.

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that controls are missing in loaded pdf file.(TFS-39938)
- [Windows] Fixed the issue that watermark text are not correctly displayed in loaded pdf
  file.(TFS-39832)
- [Windows] Fixed the issue that the colours in pdf are inverted when pdf file containing
  scanned image is loaded.(TFS-39829)
- [Windows] Fixed the issue that character‘E’is shown instead of dash ‘-‘.(TFS-35192)
- [Windows] Correct the display position of pdf control.(TFS-37721)

### Improvements:

- [Windows] Add parsing text field (using the "Tx" mechanism in the PDF file).
- [Windows] Add the property Source which could be implemented in MVVM.
- [Windows] Add FindNext and FindPrevious methods to get the occurrence of FindText
  in the specialized pages.
- [Windows] Add SaveCommand and SaveDocumentAsync method to save pdf document.

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the issue that unhandled exception is occurred when press 'Delete' Key
  and 'ctrl+z' after type Japanese text or English text.(TFS-39980)
- [Windows] Fixed the issue that unhandled exception occurs when press Esc Key or
  Backspace Key after type Japanese.(TFS-39950)
- [Windows] Fixed the issue that rows appear to increase in size after deleting the cell
  content.(TFS-35627)
- [Windows] Add Japanese characters input support to RTB.(TFS-38930)
- [Windows] Fixed the issue that table navigation with Tab does not continue when a cell
  contains bulleted/numbered list.(TFS-35641)
- [Windows] Fixed the issue that Unlike MSWord, table cell is resizing when typing
  in a table.(TFS-35638)
- [Windows] Fixed the issue that width setting is not correctly applied in loaded html
  file.(TFS-39798)
- [Windows] Fixed the issue that "Delete" key and "Ctrl+X" is not affected on
  C1RichTextBox.(TFS-39808)
- [Windows] Fixed the issue that when press 'Tab' key to navigate table cell, cell do not
  scroll into view.(TFS-35394)
- [Windows] Table column width is not changed in % when removing/readding columns with
  undo/redo.(TFS-35166)
- [Windows] Fixed the issue that incorrect observation for using <a> tag for Html
  property.(TFS-35811)
- [Windows] Fixed the issue that focus cannot set at the last column if Table's width is
  greater than 150%.(TFS-38928)
- [Windows] Fixed the issue that when table is copied and pasted in the another table,
  table is not pasted correctly.(TFS-39424)
- [Windows] Fixed the issue that RichTextBox does not support mulitpage printing.(TFS-36795)
- [Windows] Fixed the issue that cannot 'Cut' the table in RichTextBox via
  RichTextBoxToolbar.(TFS-34031)
- [Windows] Fixed the issue that when html string is converted to Document using HtmlFilter,
  font size is changed.(TFS-37612)

## C1.Xaml.TileView

### Bug fixes

- [Windows] [C1TileView] Flickering is observed in maximized tile when
  minimized tiles are dragged and dropped in runtime.(TFS-39723)
- [Windows] [C1TileView] Maximized item is existed when clean all items in
  C1TileView(TFS-38511)
- [Windows] [TileView] Set font does not apply to the TileView header text.(TFS-25477)
- [Windows] [C1TileView] When set 'MinimizedItemsPosition=Buttom/Top/Left',item's position
  are incorrect and items are disappeared 'Buttom/Top ->other'.(TFS-38333)
- [Windows] [C1TileView] ‘Just-In-Time’ Exception is occurred when used
  C1TileViewItem's Minimized and Maximized properties.(TFS-37256)
- [Windows] [TileView] When scrolling minimized items on a touch display,
  the maximized item bounces up and down.(TFS-35280)

## C1.Xaml.Zip

### Bug Fixes:

- [Windows] Fix the issue that filename containing Japanese characters is output
  with garbled characters after compression.(TFS-18883)

# Release version 8.0.20131.329 - 05/30/2013

## C1.Xaml.Gauge

### Bug Fixes:

- [Windows] Fixed the issue that pointer is not able to drag when "InteractionMode" property
  is set to "Drag" or "ClickOrDrag" at run-time in C1Knob and C1RegionKnob.(TFS-35726)

## C1.Xaml.PdfViewer

### Improvements:

- [Windows] Add ZoomAt method to call a zooms animation.

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the issue that Row is not correctly inserted when there is horizontal
  and vertical merged cells in table.(TFS-36581)

# Release version 8.0.20131.327 - 05/27/2013

## C1.Xaml

### Bug fixes

- [Windows] C1ListBox scrollbars corner radius was not displayed correctly.

## C1.Xaml.PdfViewer

### Improvements:

- [Windows] Add DocumentInfo property to get the information of current document.

# Release version 8.0.20131.326 - 05/20/2013

## C1.Xaml

### Bug fixes

- [Windows] C1ListBox vertical and horizontal scrollbars visibilities are not updated correctly
  when zoom mode was disabled.

## C1.Xaml.Chart

### Bug fixes.

- [Windows] Fixed the problem with printing chart that is not in visual tree.
- [Windows] Chart updated correctly after changing C1ChartLegend.Position property
  at design-time(TFS 35584).

# Release version 8.0.20131.325 - 05/13/2013

## C1.Xaml

### Bug fixes

- [Windows] C1ListBox scrolling issue was fixed, it occurred when setting ItemsSource for second time.

## C1.Xaml.PdfViewer

### Improvements:

- [Windows] Add Bookmarks property to get the list of bookmarks in the document.
- [Windows] Add GoToBookmark method which is used to jump to a specified bookmark.

# Release version 8.0.20131.324 - 05/06/2013

## C1.Xaml

### Bug fixes

- [Windows] [C1TimeSelector] The hour format fixed to show correct 12:00 AM/PM values when it is appropriate for the current culture.

## C1.Xaml.FlexGrid

### Bug Fixes

- [Windows] GetPageImages method was returning elements whose dimensions were different from the
  specified pageSize and the ScaleMode was different from ActualSize.
  Now all the returned pages dimensions are equal to the specified pageSize parameter.

## C1.Xaml.PdfViewer

### Improvements:

- [Windows] Add support for Bookmarks to C1PdfViewer.

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the issue that text indentation is not maintained after copy paste.(TFS-36075)
- [Windows] Fixed the issue that line breaks are removed after pasting from the clipboard.(TFS-36107)
- [Windows] Fixed the issue that the whole table cannot be selected after table cell at
  the last row is deleted.(TFS-36147)
- [Windows] Fixed the issue that Exception occurs at both design-time and run-time
  on setting "DefaultParagraphMargin" property.(TFS-36191)

# Release version 8.0.20131.323 - 04/29/2013

## C1.Xaml.Chart

### Bug fixes.

- [Windows] Fixed the problem with exception in bubble chart when size values are the same
  (TFS 35887).

### Improvements.

- [Windows] Improved calculation of axis title position(TFS 35835).
- [Windows] StrokeStartLineCap and StrokeEndLineCap for line charts now have default value
  PenLineCap.Round(TFS 35745). This value can be modified in
  DataSeries.PlotElementLoaded event.
  ds.PlotElementLoaded += (s, e) =>
  {
  var pe = (PlotElement)s;
  pe.StrokeStartLineCap = pe.StrokeEndLineCap = PenLineCap.Flat;
  };

## C1.Xaml.DateTime

### Breaking changes

- [Windows] IsMouseOver property has been renamed to IsPointerOver

## C1.Xaml.FlexGrid

### Improvements

- [Windows] Keep collapsed state when ChildItemsCollection is set and the collection is modified

## C1.Xaml.Gauge

### Bug Fixes:

- [Windows] Fixed the issue that labels align themselves after load and
  creates a poor appearance at runtime.(TFS-29759)

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that Horizontal and Vertical offsets do not work
  on setting from design time.(TFS-35921)

### Improvements:

- [Windows] Add GetPage method which is uesed to get specified page.

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the issue that Table with merged cells not get deleted when using
  Selection.Delete(true,true) method.(TFS-35828)
- [Windows] Fixed the issue that only first cell/row got pasted when copying
  the nested table.(TFS-35865)
- [Windows] Fixed the issue that extra table cell is added when copy/paste
  the merged table.(TFS-35822)
- [Windows] Fixed the issue that redo action does not work at once on TextEditor Area.(TFS-33812)

## C1.Xaml.TileView

### Bug Fixes

- [Windows] [TileView] Set font does not apply to the TileView header text.(TFS-25477)

# Release version 8.0.20131.322 - 04/22/2013

## C1.Xaml

### Breaking Changes

- [Windows] The C1MouseHelper class has been removed.

### Bug fixes

- [Windows] [C1NumericBox] The decimal numbers cannot be entered with Round-trip "R" format.
- [Windows] [C1ListBox] BorderBrush and Foreground brushes were not being propagated correctly.
- [Windows] C1DragDropManager source marker was not clipped correctly when scrolling inside a scrollviewer.

### Improvements

- [Windows] Added new C1ContextMenu control.
- [Windows] Romania language resources added.
- [Windows] Added IC1ContextMenu interface. The C1ContextMenu control implements IC1ContextMenu.
  The C1ContextMenuService.ContextMenu attached property type has been changed to IC1ContextMenu.

## C1.Xaml.PdfViewer

### Improvements:

- [Windows] Romania language resources added.

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the issue that when "Strikethrough" style is applied, "Underline"
  is disappeared and vice versa.(TFS-35495)

### Improvements:

- [Windows] Added new property to the C1RichTextBox control:
  public object ContextMenu { get; set; }
  Gets or sets the context menu object to show on the right tap.
  The default value is Null. If this value is not changes, the C1RichTextBox control will show the simple
  Windows.UI.Popups.PopupMenu with the set of clipboard-related commands.
  You can set this property to the custom PopupMenu object, or any object implementing C1.Xaml.IC1ContextMenu interface.
  In such case the C1RichTextBox control will show your custom context menu instead of the default one.

# Release version 8.0.20131.321 - 04/15/2013

## C1.Xaml.PdfViewer

### Breaking changes

- [Windows] ViewMode.FitWidth is obsolete, use ViewMode.Fitted instead.

### Improvements:

- [Windows] Add HorizontalOffset and VerticalOffset properties to C1PdfViewer.
- [Windows] Add ViewMode.Fitted.

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the issue that double tap to select word is not perfect on
  a touch device.(TFS-35357)
- [Windows] Fixed the issue that cannot 'Cut' the table in RichTextBox via
  RichTextBoxToolbar.(TFS-35673)

### Improvements:

- [Windows] Add support for moving pictures within the document.
- [Windows] Add clipboard support for images.

# Release version 8.0.20131.320 - 04/10/2013

## C1.Xaml

### Bug fixes

- [Windows] [C1TreeView] Unhandled exception is occurred on clicking C1TreeViewItem
  when ‘SelectionChanged’ event exists in C1TreeView.(TFS-33788)

## C1.Xaml.Chart

### Improvements.

- [Windows] Coordinate conversion performs more correctly(with double precision).

## C1.Xaml.DateTime

### Bug Fixes

- [Windows] Restored FocusBrush property, removed in 2013 V1 release.

# Release version 8.0.20131.319 - 04/08/2013

## C1.Xaml

### Bug fixes

- [Windows] C1DropDownButton exception raised when IsOpen is set to true before the template is applied.

## C1.Xaml.Chart

### Improvements.

- [Windows] Minor ticks and grid lines are visible when Axis.ItemsSource is used and
  Axis.MinorUnit has non-default value. Previously the ticks and grid lines
  were hidden in such cases.

## C1.Xaml.RichTextBox

### Bug fixes:

- [Windows] Fixed the issue that GetHtml method adds line breaks after each word.(TFS-35364)
- [Windows] Fixed the issue that when table is selected, the text within
  it disappears.(TFS-35360)
- [Windows] Fixed the issue that bullets spacing is too small compared to other
  versions of the control.(TFS-35365)

## C1.Xaml.Zip

### Bug Fixes:

- [Windows] 'Extract()' method of C1ZipEntry does not work.(TFS-34623)

# Release version 8.0.20131.317 - 04/01/2013

## C1.Xaml

### Bug fixes

- [Windows] C1ListBoxItem selected state was not reflected correctly when selection was set
  before template was applied.
- [Windows] [TabControl] TabStripMenu is disappeared when mouse hover on it.(TFS-35315)

## C1.Xaml.Chart

### Improvements.

- [Windows] PlotArea Settings(Stroke,StrokeThickness,Background) are applied to the plot
  even there is only one(main) plot area.

# Release version 8.0.20131.315 - 03/19/2013

## C1.Xaml.Gauge

### Bug Fixes:

- [Windows] Fixed the issue that a break in LinerGauge's PointerLength and it throws
  System.Exception at run time.(TFS-35148)

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that When implementing of PdfViewer.LoadDocument( ) in
  Page_Loaded or other events,throws NullReference Exception in C1.Xaml dll.(TFS-35195)

# Release version 8.0.20131.314 - 03/19/2013

## C1.Xaml

### Breaking Changes

- [Windows] C1ListBoxItem template was changed to support selection.
- [Windows] C1ListBoxPanel and C1ListBoxViewport renamed to C1ListViewerPanel and C1ListViewerViewport.

### Bug fixes

- [Windows] C1ListBox raised an exception when last item was removed if source implemented INotifyCollectionChanged.
- [Windows] [C1Menu] Fix the issue that 'COMException' is thrown on setting 'IsSubmenuOpen'
  property to true at design time.(TFS-34379)
- [Windows] C1DragHelper constructor parameter initialThreshold default value set to 1.
- [Windows] C1DragHelper unexpected inertia occurred when the mouse up event was raised after a period of inactivity.
- [Windows] C1ListBox exception raised when ZoomMode changed.
- [Windows] C1DateTimeSelector.SelectedDateChanged event was not fired and SelectedDate property returned wrong value.
- [Windows] [C1Menu] MenuItem first moves to top-left corner and then disappear
  when click other place outside C1Menu.
- [Windows] C1DragHelper inertia was improved.
- [Windows] C1ListBox first item content dissapeared when changing Orientation.
- [Windows] C1ListBox was clearing the items incorrectly when a collection of C1ListViewerItem
  was set as ItemSource.
- [Windows] C1ListBox.SelectionChanged event fired although the selection did not change.
- [Windows] [C1Menu] Can't add menu item to c1menu at design time.
- [Windows] MouseHelper.Click event was raised improperly when DoubleClick event was being handled.

### Improvements

- [Windows] Added PropertyChanged event to C1DateSelector and C1TimeSelector controls.

## C1.Xaml.Calendar

### Improvements:

- [Windows] Implemented C1Calendar animation when it is navigated via manipulations.
  Note, you can alter this behavior by setting C1Calendar.IsAnimationEnabled property to false.

## C1.Xaml.Chart

### Bug fixes.

- [Windows] Fixed the problem with incorrect format exception after changing chart type
  (TFS 34491).
- [Windows] Fixed the problem that may cause application hanging after binding under several
  conditions(TFS 34489).
- [Windows] Fixed several design time problems specific for VS2012(34480, 33196).
- [Windows] Fixed problem with resetting Axis.IsTime property(TFS 33774).

### Improvements.

- [Windows] Added PieOptions.SeriesLabelTemplate attached dependency property. The property
  specifies template for series label of pie chart.

## C1.Xaml.FlexGrid

### Bug Fixes

- [Windows] Fixed scrolling issue while dragging rows (TFS 34927)
- [Windows] tapping the OutlineButtons also caused sort (TFS 34325)
- [Windows] Editing finished unexpectedly when double tapping over the cell.
- [Windows] Dragging column headers was not working properly using the mouse.
- [Windows] Adding new row on top did not always work correctly when binding to item sources
  based on ICustomTypeDescriptor (TFS 33761)

### Improvements

- [Windows] Added AutoComplete property to add entries based on items already present on
  the column being edited (Excel-style auto-complete).
- [Windows] Mouse resizing applies to multi-row/column selection
- [Windows] Performance optimization for group aggregates
- [Windows] Added method to configure ColumnValueConverter using a list of objects:
  public void SetSource(values, valuePath, displayMemberPath)
  where:
  values is a collection of objects that contain the key and display values.
  valuePath is the name of the property that contains the values stored in the grid.
  displayMemberPath is the name of the property that contains the values displayed in the grid.

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Fixed the issue that ‘PreparedPage’ and ‘PreparingPage’ events are not fired
  after all pages are loaded in C1PdfViewer.(TFS-33705)

## C1.Xaml.Tile

### Improvements:

- [Windows] added ILoadable interface:
  public interface ILoadable
  {
  bool IsLoaded { get; }
  bool Load();
  }
  Specifies that this object supports loading.
  Implement this interface in the custom business object if it needs long initialization.
  The C1Tile control honors this interface and calls Load method
  in advance to preload tile data before animation.
  Load method might start synchronous or asynchronous load operation.
  If Load method returns false, C1Tile will delay animations until IsLoaded property is true.
  You can find the sample implementation in the C1Tile Flickr samples.

## C1.Xaml.TileView

### Bug Fixes

- [Windows] [C1TileView] Unlike previous build (8.0.20123.301), bound ItemTemplate is not
  correctly displayed in C1TileViewItem. (TFS-34514)
- [Windows] [TileView]Dividing by zero exception when click the expanded header.(TFS-34229)

# Release version 8.0.20123.301 - 02/04/2013

## C1.Xaml

### Bug fixes

- [Windows] [C1NumericBox] Can't enter a number with a decimal point with G2 format.
- [Windows] [C1NumericBox] Can't enter a negative number with a decimal point with empty format.

## C1.Xaml.FlexGrid

### Improvements

- [Windows] Added IsSynchronizedWithCurrentItem property (as in ListBox, ComboBox)

# Release version 8.0.20123.300 - 01/28/2013

## C1.Xaml

### Bug fixes

- [Windows] GetAbsoluteUri extension updated to support out of browser applications.

### Improvements

- [Windows] Added resources for Turkish to all controls.

# Release version 8.0.20123.299 - 01/22/2013

## C1.Xaml

### Bug fixes

- [Windows] C1ListBox Vertical and Horizontal offset updated accordingly when Zoom property is set.
- [Windows] C1ListBox BringIndexIntoView was not working correctly.

# Release version 8.0.20123.297 - 01/21/2013

## C1.Xaml

### Bug fixes

- [Windows] C1ListBox was not scrolling horizontally with the mouse wheel when Orientation is set to Horizontal.
- [Windows] C1BrushBuilder was not honoring Opacity of the input brush.

## C1.Xaml.Chart

### Bug fixes.

- [Windows] Fixed the problem with exception when using aggregate functions(TFS 33289).

## C1.Xaml.Tile

### Improvements:

- [Windows] C1Tile.AlternateContentTemplate property has been renamed to BackContentTemplate.

# Release version 8.0.20123.295 - 01/14/2013

## C1.Xaml

### Bug fixes

- [Windows] [C1NumericBox] Numbers like -0.05 can't be entered with numeric pad's Decimal key.

# Release version 8.0.20123.294 - 01/08/2013

## C1.Xaml

### Bug fixes

- [Windows] C1ListBox HorizontalOffsetChanged and VerticalOffsetChanged were not being raised.

## C1.Xaml.FlexGrid

### Improvements

- [Windows] Validation tooltips now honor grid's ErrorStyle
- [Windows] Initialize selection of drop-down lists based on cell content

## C1.Xaml.Tile

### Improvements:

- [Windows] First release.

# Release version 8.0.20123.293 - 01/03/2013

## C1.Xaml

### Improvements

- [Windows] Added C1CollectionView class:
  -- Implements the ICollectionView interface with support for sorting, filtering, grouping and editing.
  -- Provides API similar to WPF CollectionView and Silverlight ICollectionView that simplify porting
  of existing applications to WinRT.
  -- Adds pertain classes absent in WinRT like PropertyGroupDescription for defining of
  grouping conditions, SortDescription for definining of sort conditions and
  IEditableCollectionView interface for editing, equal to their WPF/Silverlight counterparts.
  -- Can be used as a data source for any native list-like control. Also it's used
  as an internal data source implementation in ComponentOne controls like FlexGrid.

## C1.Xaml.FlexGrid

### Bug Fixes

- [Windows] Improved currency management during row addition (TFS 32281)
- [Windows] AutoSize to integer values to ensure grid lines are visible (TFS 32286)

# Release version 8.0.20123.291 - 12/26/2012

## C1.Xaml.Calendar

### Improvements:

- [Windows] Added C1Calendar.ButonStyle property. It gets or sets a Style for calendar navigation buttons.
- [Windows] honor Shift and Ctrl keys at selection.

## C1.Xaml.FlexGrid

### Improvements

- [Windows] Exposed AllowSorting, AllowAddNew, and NewRowPosition properties.
  This new functionality is based on a new IC1CollectionView interface and
  C1CollectionView class defined in the C1.Xaml.dll assembly.
  The IC1CollectionView interface extends the standard WinRT ICollectionView
  to add members that are present in Silverlight and WPF but are missing
  in the standard WinRT ICollectionView.

# Release version 8.0.20123.289 - 12/17/2012

## C1.Xaml

### Improvements

- [Windows] C1ListBox exception raised when item was replaced in ObservableCollection.

## C1.Xaml.Chart

### Bug fixes.

- [Windows] Fixed the problem with exception when zooming or scaling several chart types
  (TFS 30627, 30638).

## C1.Xaml.FlexGrid

### Bug Fixes

- [Windows] Improved binding management during cell value retrieval (TFS 29301)

## C1.Xaml.Gauge

### Bug Fixes:

- [Windows] Fixed the issue that unlike other C1Controls, gauges has no AboutBox link in Context Menu.(TFS-30007)

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Add a method called LoadDocumentAsync which is used to load a PDF document
  from a stream in asynchronous way.

# Release version 8.0.20123.288 - 12/10/2012

## C1.Xaml

### Bug fixes

- [Windows] [C1ListBox] ClearContainerForItemOverride method was not being called when Refresh method was invoked.
- [Windows] [C1ListBox] Fill and OneItem zoom mode was not working fine when Orientation was changed.
- [Windows] [C1ListBox] BringIndexIntoView method was not working.

## C1.Xaml.Chart

### Bug fixes.

- [Windows] Fixed the problem with polygon chart that may cause exception when zooming
  (TFS 30166).

## C1.Xaml.FlexGrid

### Improvement

- [Windows] Improved scrollbar visibility calculation with star-sized columns (TFS 30814)

## C1.Xaml.TileView

### Bug Fixes

- [Windows] [TileView]Scroll bar button of the C1TileView is not inconsistent with current TileView items.(TFS-302666)

# Release version 8.0.20123.286 - 12/04/2012

## C1.Xaml

### Bug fixes

- [Windows] [C1NumericBox] Key sequence "-0." typed at the beginning of a number causes placement of the caret to a wrong position.
- [Windows] [C1NumericBox] Multiple issues with FlowDirection set to RightToLeft: wrong placement of negative sign, text selection
  and alignment.

## C1.Xaml.Calendar

### Bug fixes

- [Windows] Honor C1Calendar.ManipulationMode property value.
  To disable default manipulations set Manipulation mode property to ManipulationModes.None.

## C1.Xaml.Chart

### Bug fixes.

- [Windows] Chart.Children property removed from designer property grid(TFS 30231).

## C1.Xaml.FlexGrid

### Improvements

- [Windows] Added inertial scrolling.
- [Windows] Improved editing support.

## C1.Xaml.PdfViewer

### Bug Fixes:

- [Windows] Zoom property was not being updated when ViewMode set to OnePage.

# Release version 8.0.20123.284 - 11/26/2012

## C1.Xaml

### Bug fixes

- [Windows] [C1MaskedTextBox] Control may get wrong width in design-time.

## C1.Xaml.FlexGrid

### Bug Fixes

- [Windows] Ensure frozen row/col dividers are visible with large number of rows/columns (TFS 30285)

## C1.Xaml.PdfViewer

### Improvements:

- [Windows] Add new parameter (password) for LoadDocument method to set the user password of
  a password-protected PDF file.
  Please use Main\Samples\SL\C1.Silverlight.PdfViewer\CS\PdfPassword sample for testing.
- [Windows] Add public PdfParserException and PdfPasswordException classes for catching parsing exceptions.
- [Windows] Add Orientation, ViewportGap, HorizontalScrollBarVisibility,
  VerticalScrollBarVisibility properties to the C1PdfViewer.

# Release version 8.0.20123.283 - 11/19/2012

## C1.Xaml.FlexGrid

### Bug Fixes

- [Windows] Printing interfered with row/column sizing behavior (TFS 29680, 29681)

### Improvements

- [Windows] Added C1FlexComboBox.IsDroppedDownChanged event

# Release version 8.0.20123.282 - 11/14/2012

## C1.Xaml

### Improvements

- [Windows] First release.

## C1.Xaml.Calendar

### Improvements:

- [Windows] First release.

## C1.Xaml.Chart

### Improvements.

- [Windows] First release.

## C1.Xaml.DateTime

### Improvements:

- [Windows] First release.

## C1.Xaml.FlexGrid

### Improvements

- [Windows] First release.

## C1.Xaml.Gauge

### Improvements:

- [Windows] First release.

## C1.Xaml.PdfViewer

### Improvements:

- [Windows] First release.

## C1.Xaml.TileView

### Improvements:

- [Windows] First release.